#if 0
#elif defined(__arm64__) && __arm64__
// Generated by Apple Swift version 5.4 (swiftlang-1205.0.26.9 clang-1205.0.19.55)
#ifndef NETPAYSDK_SWIFT_H
#define NETPAYSDK_SWIFT_H
#pragma clang diagnostic push
#pragma clang diagnostic ignored "-Wgcc-compat"

#if !defined(__has_include)
# define __has_include(x) 0
#endif
#if !defined(__has_attribute)
# define __has_attribute(x) 0
#endif
#if !defined(__has_feature)
# define __has_feature(x) 0
#endif
#if !defined(__has_warning)
# define __has_warning(x) 0
#endif

#if __has_include(<swift/objc-prologue.h>)
# include <swift/objc-prologue.h>
#endif

#pragma clang diagnostic ignored "-Wauto-import"
#include <Foundation/Foundation.h>
#include <stdint.h>
#include <stddef.h>
#include <stdbool.h>

#if !defined(SWIFT_TYPEDEFS)
# define SWIFT_TYPEDEFS 1
# if __has_include(<uchar.h>)
#  include <uchar.h>
# elif !defined(__cplusplus)
typedef uint_least16_t char16_t;
typedef uint_least32_t char32_t;
# endif
typedef float swift_float2  __attribute__((__ext_vector_type__(2)));
typedef float swift_float3  __attribute__((__ext_vector_type__(3)));
typedef float swift_float4  __attribute__((__ext_vector_type__(4)));
typedef double swift_double2  __attribute__((__ext_vector_type__(2)));
typedef double swift_double3  __attribute__((__ext_vector_type__(3)));
typedef double swift_double4  __attribute__((__ext_vector_type__(4)));
typedef int swift_int2  __attribute__((__ext_vector_type__(2)));
typedef int swift_int3  __attribute__((__ext_vector_type__(3)));
typedef int swift_int4  __attribute__((__ext_vector_type__(4)));
typedef unsigned int swift_uint2  __attribute__((__ext_vector_type__(2)));
typedef unsigned int swift_uint3  __attribute__((__ext_vector_type__(3)));
typedef unsigned int swift_uint4  __attribute__((__ext_vector_type__(4)));
#endif

#if !defined(SWIFT_PASTE)
# define SWIFT_PASTE_HELPER(x, y) x##y
# define SWIFT_PASTE(x, y) SWIFT_PASTE_HELPER(x, y)
#endif
#if !defined(SWIFT_METATYPE)
# define SWIFT_METATYPE(X) Class
#endif
#if !defined(SWIFT_CLASS_PROPERTY)
# if __has_feature(objc_class_property)
#  define SWIFT_CLASS_PROPERTY(...) __VA_ARGS__
# else
#  define SWIFT_CLASS_PROPERTY(...)
# endif
#endif

#if __has_attribute(objc_runtime_name)
# define SWIFT_RUNTIME_NAME(X) __attribute__((objc_runtime_name(X)))
#else
# define SWIFT_RUNTIME_NAME(X)
#endif
#if __has_attribute(swift_name)
# define SWIFT_COMPILE_NAME(X) __attribute__((swift_name(X)))
#else
# define SWIFT_COMPILE_NAME(X)
#endif
#if __has_attribute(objc_method_family)
# define SWIFT_METHOD_FAMILY(X) __attribute__((objc_method_family(X)))
#else
# define SWIFT_METHOD_FAMILY(X)
#endif
#if __has_attribute(noescape)
# define SWIFT_NOESCAPE __attribute__((noescape))
#else
# define SWIFT_NOESCAPE
#endif
#if __has_attribute(ns_consumed)
# define SWIFT_RELEASES_ARGUMENT __attribute__((ns_consumed))
#else
# define SWIFT_RELEASES_ARGUMENT
#endif
#if __has_attribute(warn_unused_result)
# define SWIFT_WARN_UNUSED_RESULT __attribute__((warn_unused_result))
#else
# define SWIFT_WARN_UNUSED_RESULT
#endif
#if __has_attribute(noreturn)
# define SWIFT_NORETURN __attribute__((noreturn))
#else
# define SWIFT_NORETURN
#endif
#if !defined(SWIFT_CLASS_EXTRA)
# define SWIFT_CLASS_EXTRA
#endif
#if !defined(SWIFT_PROTOCOL_EXTRA)
# define SWIFT_PROTOCOL_EXTRA
#endif
#if !defined(SWIFT_ENUM_EXTRA)
# define SWIFT_ENUM_EXTRA
#endif
#if !defined(SWIFT_CLASS)
# if __has_attribute(objc_subclassing_restricted)
#  define SWIFT_CLASS(SWIFT_NAME) SWIFT_RUNTIME_NAME(SWIFT_NAME) __attribute__((objc_subclassing_restricted)) SWIFT_CLASS_EXTRA
#  define SWIFT_CLASS_NAMED(SWIFT_NAME) __attribute__((objc_subclassing_restricted)) SWIFT_COMPILE_NAME(SWIFT_NAME) SWIFT_CLASS_EXTRA
# else
#  define SWIFT_CLASS(SWIFT_NAME) SWIFT_RUNTIME_NAME(SWIFT_NAME) SWIFT_CLASS_EXTRA
#  define SWIFT_CLASS_NAMED(SWIFT_NAME) SWIFT_COMPILE_NAME(SWIFT_NAME) SWIFT_CLASS_EXTRA
# endif
#endif
#if !defined(SWIFT_RESILIENT_CLASS)
# if __has_attribute(objc_class_stub)
#  define SWIFT_RESILIENT_CLASS(SWIFT_NAME) SWIFT_CLASS(SWIFT_NAME) __attribute__((objc_class_stub))
#  define SWIFT_RESILIENT_CLASS_NAMED(SWIFT_NAME) __attribute__((objc_class_stub)) SWIFT_CLASS_NAMED(SWIFT_NAME)
# else
#  define SWIFT_RESILIENT_CLASS(SWIFT_NAME) SWIFT_CLASS(SWIFT_NAME)
#  define SWIFT_RESILIENT_CLASS_NAMED(SWIFT_NAME) SWIFT_CLASS_NAMED(SWIFT_NAME)
# endif
#endif

#if !defined(SWIFT_PROTOCOL)
# define SWIFT_PROTOCOL(SWIFT_NAME) SWIFT_RUNTIME_NAME(SWIFT_NAME) SWIFT_PROTOCOL_EXTRA
# define SWIFT_PROTOCOL_NAMED(SWIFT_NAME) SWIFT_COMPILE_NAME(SWIFT_NAME) SWIFT_PROTOCOL_EXTRA
#endif

#if !defined(SWIFT_EXTENSION)
# define SWIFT_EXTENSION(M) SWIFT_PASTE(M##_Swift_, __LINE__)
#endif

#if !defined(OBJC_DESIGNATED_INITIALIZER)
# if __has_attribute(objc_designated_initializer)
#  define OBJC_DESIGNATED_INITIALIZER __attribute__((objc_designated_initializer))
# else
#  define OBJC_DESIGNATED_INITIALIZER
# endif
#endif
#if !defined(SWIFT_ENUM_ATTR)
# if defined(__has_attribute) && __has_attribute(enum_extensibility)
#  define SWIFT_ENUM_ATTR(_extensibility) __attribute__((enum_extensibility(_extensibility)))
# else
#  define SWIFT_ENUM_ATTR(_extensibility)
# endif
#endif
#if !defined(SWIFT_ENUM)
# define SWIFT_ENUM(_type, _name, _extensibility) enum _name : _type _name; enum SWIFT_ENUM_ATTR(_extensibility) SWIFT_ENUM_EXTRA _name : _type
# if __has_feature(generalized_swift_name)
#  define SWIFT_ENUM_NAMED(_type, _name, SWIFT_NAME, _extensibility) enum _name : _type _name SWIFT_COMPILE_NAME(SWIFT_NAME); enum SWIFT_COMPILE_NAME(SWIFT_NAME) SWIFT_ENUM_ATTR(_extensibility) SWIFT_ENUM_EXTRA _name : _type
# else
#  define SWIFT_ENUM_NAMED(_type, _name, SWIFT_NAME, _extensibility) SWIFT_ENUM(_type, _name, _extensibility)
# endif
#endif
#if !defined(SWIFT_UNAVAILABLE)
# define SWIFT_UNAVAILABLE __attribute__((unavailable))
#endif
#if !defined(SWIFT_UNAVAILABLE_MSG)
# define SWIFT_UNAVAILABLE_MSG(msg) __attribute__((unavailable(msg)))
#endif
#if !defined(SWIFT_AVAILABILITY)
# define SWIFT_AVAILABILITY(plat, ...) __attribute__((availability(plat, __VA_ARGS__)))
#endif
#if !defined(SWIFT_WEAK_IMPORT)
# define SWIFT_WEAK_IMPORT __attribute__((weak_import))
#endif
#if !defined(SWIFT_DEPRECATED)
# define SWIFT_DEPRECATED __attribute__((deprecated))
#endif
#if !defined(SWIFT_DEPRECATED_MSG)
# define SWIFT_DEPRECATED_MSG(...) __attribute__((deprecated(__VA_ARGS__)))
#endif
#if __has_feature(attribute_diagnose_if_objc)
# define SWIFT_DEPRECATED_OBJC(Msg) __attribute__((diagnose_if(1, Msg, "warning")))
#else
# define SWIFT_DEPRECATED_OBJC(Msg) SWIFT_DEPRECATED_MSG(Msg)
#endif
#if !defined(IBSegueAction)
# define IBSegueAction
#endif
#if __has_feature(modules)
#if __has_warning("-Watimport-in-framework-header")
#pragma clang diagnostic ignored "-Watimport-in-framework-header"
#endif
@import CoreGraphics;
@import Foundation;
@import ObjectiveC;
@import UIKit;
#endif

#import <NetPaySDK/NetPaySDK.h>

#pragma clang diagnostic ignored "-Wproperty-attribute-mismatch"
#pragma clang diagnostic ignored "-Wduplicate-method-arg"
#if __has_warning("-Wpragma-clang-attribute")
# pragma clang diagnostic ignored "-Wpragma-clang-attribute"
#endif
#pragma clang diagnostic ignored "-Wunknown-pragmas"
#pragma clang diagnostic ignored "-Wnullability"

#if __has_attribute(external_source_symbol)
# pragma push_macro("any")
# undef any
# pragma clang attribute push(__attribute__((external_source_symbol(language="Swift", defined_in="NetPaySDK",generated_declaration))), apply_to=any(function,enum,objc_interface,objc_category,objc_protocol))
# pragma pop_macro("any")
#endif


typedef SWIFT_ENUM_NAMED(NSInteger, NPCardBrand, "CardBrand", open) {
  NPCardBrandVisa = 0,
  NPCardBrandMasterCard = 1,
  NPCardBrandJcb = 2,
  NPCardBrandAmex = 3,
  NPCardBrandDiners = 4,
  NPCardBrandLaser = 5,
  NPCardBrandMaestro = 6,
  NPCardBrandDiscover = 7,
};

@class NSNumber;
@class UIColor;
@class NSString;
@class NSCoder;
@class UITraitCollection;

IB_DESIGNABLE
SWIFT_CLASS_NAMED("NetPayTextField")
@interface NPNetPayTextField : UITextField
@property (nonatomic) IBInspectable CGFloat borderWidth;
@property (nonatomic, strong) IBInspectable UIColor * _Nullable borderColor;
@property (nonatomic) IBInspectable CGFloat cornerRadius;
@property (nonatomic, strong) IBInspectable UIColor * _Nullable errorTextColor;
@property (nonatomic, strong) IBInspectable UIColor * _Nullable placeholderTextColor;
@property (nonatomic, copy) NSString * _Nullable placeholder;
@property (nonatomic, copy) NSString * _Nullable text;
@property (nonatomic, strong) UIColor * _Nullable textColor;
- (nonnull instancetype)initWithFrame:(CGRect)frame OBJC_DESIGNATED_INITIALIZER;
- (nullable instancetype)initWithCoder:(NSCoder * _Nonnull)aDecoder OBJC_DESIGNATED_INITIALIZER;
- (nonnull instancetype)init OBJC_DESIGNATED_INITIALIZER;
- (BOOL)validateAndReturnError:(NSError * _Nullable * _Nullable)error;
- (void)didBeginEditing;
- (void)didEndEditing;
- (void)textDidChange;
- (void)traitCollectionDidChange:(UITraitCollection * _Nullable)previousTraitCollection;
@end

@protocol UITextFieldDelegate;

IB_DESIGNABLE
SWIFT_CLASS_NAMED("CardCVVTextField")
@interface NPCardCVVTextField : NPNetPayTextField
@property (nonatomic, strong) id <UITextFieldDelegate> _Nullable delegate SWIFT_AVAILABILITY(ios,unavailable);
@property (nonatomic) UIKeyboardType keyboardType;
- (nonnull instancetype)initWithFrame:(CGRect)frame OBJC_DESIGNATED_INITIALIZER;
- (nullable instancetype)initWithCoder:(NSCoder * _Nonnull)aDecoder OBJC_DESIGNATED_INITIALIZER;
- (nonnull instancetype)init OBJC_DESIGNATED_INITIALIZER;
- (BOOL)validateAndReturnError:(NSError * _Nullable * _Nullable)error;
@end


@interface NPCardCVVTextField (SWIFT_EXTENSION(NetPaySDK)) <UITextFieldDelegate>
- (BOOL)textField:(UITextField * _Nonnull)textField shouldChangeCharactersInRange:(NSRange)range replacementString:(NSString * _Nonnull)string SWIFT_WARN_UNUSED_RESULT;
@end


SWIFT_CLASS_NAMED("CardExpiryDatePicker")
@interface NPCardExpiryDatePicker : UIPickerView
- (nonnull instancetype)initWithFrame:(CGRect)frame OBJC_DESIGNATED_INITIALIZER;
- (nullable instancetype)initWithCoder:(NSCoder * _Nonnull)aDecoder OBJC_DESIGNATED_INITIALIZER;
@end


@interface NPCardExpiryDatePicker (SWIFT_EXTENSION(NetPaySDK)) <UIPickerViewDelegate>
- (NSString * _Nullable)pickerView:(UIPickerView * _Nonnull)pickerView titleForRow:(NSInteger)row forComponent:(NSInteger)component SWIFT_WARN_UNUSED_RESULT;
- (void)pickerView:(UIPickerView * _Nonnull)pickerView didSelectRow:(NSInteger)row inComponent:(NSInteger)component;
@end


@interface NPCardExpiryDatePicker (SWIFT_EXTENSION(NetPaySDK)) <UIPickerViewDataSource>
- (NSInteger)numberOfComponentsInPickerView:(UIPickerView * _Nonnull)pickerView SWIFT_WARN_UNUSED_RESULT;
- (NSInteger)pickerView:(UIPickerView * _Nonnull)pickerView numberOfRowsInComponent:(NSInteger)component SWIFT_WARN_UNUSED_RESULT;
@end

@class InfoAccessibilityElement;
@class UITextRange;

IB_DESIGNABLE
SWIFT_CLASS_NAMED("CardExpiryDateTextField")
@interface NPCardExpiryDateTextField : NPNetPayTextField
@property (nonatomic, readonly) NSInteger selectedMonth;
@property (nonatomic, readonly) NSInteger selectedYear;
@property (nonatomic, readonly, strong) InfoAccessibilityElement * _Null_unspecified expirationMonthAccessibilityElement;
@property (nonatomic, readonly, strong) InfoAccessibilityElement * _Null_unspecified expirationYearAccessibilityElement;
@property (nonatomic) UIKeyboardType keyboardType;
@property (nonatomic, strong) id <UITextFieldDelegate> _Nullable delegate SWIFT_AVAILABILITY(ios,unavailable);
- (nonnull instancetype)init OBJC_DESIGNATED_INITIALIZER;
- (nonnull instancetype)initWithFrame:(CGRect)frame OBJC_DESIGNATED_INITIALIZER;
- (nullable instancetype)initWithCoder:(NSCoder * _Nonnull)aDecoder OBJC_DESIGNATED_INITIALIZER;
@property (nonatomic, copy) NSArray * _Nullable accessibilityElements;
- (BOOL)validateAndReturnError:(NSError * _Nullable * _Nullable)error;
- (void)textDidChange;
- (void)deleteBackward;
- (void)replaceRange:(UITextRange * _Nonnull)range withText:(NSString * _Nonnull)text;
- (void)paste:(id _Nullable)sender;
- (void)layoutSubviews;
@end


@interface NPCardExpiryDateTextField (SWIFT_EXTENSION(NetPaySDK)) <UITextFieldDelegate>
- (BOOL)textField:(UITextField * _Nonnull)textField shouldChangeCharactersInRange:(NSRange)range replacementString:(NSString * _Nonnull)string SWIFT_WARN_UNUSED_RESULT;
@end


@interface NPCardExpiryDateTextField (SWIFT_EXTENSION(NetPaySDK))
@end


IB_DESIGNABLE
SWIFT_CLASS_NAMED("CardNameTextField")
@interface NPCardNameTextField : NPNetPayTextField
- (nonnull instancetype)initWithFrame:(CGRect)frame OBJC_DESIGNATED_INITIALIZER;
- (nullable instancetype)initWithCoder:(NSCoder * _Nonnull)aDecoder OBJC_DESIGNATED_INITIALIZER;
- (nonnull instancetype)init OBJC_DESIGNATED_INITIALIZER;
@end


SWIFT_CLASS_NAMED("CardNumber")
@interface NPCardNumber : NSObject
+ (NSString * _Nonnull)normalize:(NSString * _Nonnull)pan SWIFT_WARN_UNUSED_RESULT;
+ (NSInteger)brandForPan:(NSString * _Nonnull)pan SWIFT_WARN_UNUSED_RESULT;
+ (NSString * _Nonnull)format:(NSString * _Nonnull)pan SWIFT_WARN_UNUSED_RESULT;
+ (BOOL)luhn:(NSString * _Nonnull)pan SWIFT_WARN_UNUSED_RESULT;
+ (BOOL)validate:(NSString * _Nonnull)pan SWIFT_WARN_UNUSED_RESULT;
- (nonnull instancetype)init OBJC_DESIGNATED_INITIALIZER;
@end

@protocol UITextInputTokenizer;

IB_DESIGNABLE
SWIFT_CLASS_NAMED("CardNumberTextField")
@interface NPCardNumberTextField : NPNetPayTextField
@property (nonatomic, readonly, strong) id <UITextInputTokenizer> _Nonnull tokenizer;
@property (nonatomic, strong) UITextRange * _Nullable selectedTextRange;
@property (nonatomic, strong) id <UITextFieldDelegate> _Nullable delegate SWIFT_AVAILABILITY(ios,unavailable);
- (nonnull instancetype)initWithFrame:(CGRect)frame OBJC_DESIGNATED_INITIALIZER;
- (nullable instancetype)initWithCoder:(NSCoder * _Nonnull)aDecoder OBJC_DESIGNATED_INITIALIZER;
- (nonnull instancetype)init OBJC_DESIGNATED_INITIALIZER;
- (BOOL)validateAndReturnError:(NSError * _Nullable * _Nullable)error;
- (BOOL)becomeFirstResponder SWIFT_WARN_UNUSED_RESULT;
- (BOOL)resignFirstResponder SWIFT_WARN_UNUSED_RESULT;
- (void)paste:(id _Nullable)sender;
- (void)textDidChange;
@end


@interface NPCardNumberTextField (SWIFT_EXTENSION(NetPaySDK)) <UITextFieldDelegate>
- (BOOL)textField:(UITextField * _Nonnull)textField shouldChangeCharactersInRange:(NSRange)range replacementString:(NSString * _Nonnull)string SWIFT_WARN_UNUSED_RESULT;
@end

@class NSOperationQueue;

SWIFT_CLASS_NAMED("Client")
@interface NPSDKClient : NSObject
- (nonnull instancetype)initWithPublicKey:(NSString * _Nonnull)publicKey testMode:(BOOL)testMode queue:(NSOperationQueue * _Nonnull)queue OBJC_DESIGNATED_INITIALIZER;
- (nonnull instancetype)initWithPublicKey:(NSString * _Nonnull)publicKey testMode:(BOOL)testMode;
- (nonnull instancetype)init SWIFT_UNAVAILABLE;
+ (nonnull instancetype)new SWIFT_UNAVAILABLE_MSG("-init is unavailable");
@end

@class NSURLSession;
@class NPTokenRequest;
@class NPToken;
@class NSError;
@protocol NPTokenRequestDelegate;
@class NPSourceRequest;
@class NPSource;
@protocol NPSourceRequestDelegate;
@class NPCapability;

@interface NPSDKClient (SWIFT_EXTENSION(NetPaySDK))
- (nonnull instancetype)initWithPublicKey:(NSString * _Nonnull)publicKey queue:(NSOperationQueue * _Nonnull)queue session:(NSURLSession * _Nonnull)session testMode:(BOOL)testMode SWIFT_DEPRECATED_MSG("", "init(publicKey:queue:)");
- (void)sendTokenRequest:(NPTokenRequest * _Nonnull)request callback:(void (^ _Nullable)(NPToken * _Nullable, NSError * _Nullable))callback;
- (void)sendTokenRequest:(NPTokenRequest * _Nonnull)request delegate:(id <NPTokenRequestDelegate> _Nullable)delegate;
- (void)sendRequest:(NPTokenRequest * _Nonnull)request callback:(void (^ _Nullable)(NPToken * _Nullable, NSError * _Nullable))callback SWIFT_DEPRECATED_MSG("Please use the new -[NPClient sendTokenRequest:callback:] method", "sendTokenRequest(_:completionHandler:)");
- (void)sendRequest:(NPTokenRequest * _Nonnull)request delegate:(id <NPTokenRequestDelegate> _Nullable)delegate SWIFT_DEPRECATED_MSG("Please use the new -[NPClient sendTokenRequest:callback:] method", "sendTokenRequest(_:completionHandler:)");
- (void)sendSourceRequest:(NPSourceRequest * _Nonnull)request callback:(void (^ _Nullable)(NPSource * _Nullable, NSError * _Nullable))callback;
- (void)sendSourceRequest:(NPSourceRequest * _Nonnull)request delegate:(id <NPSourceRequestDelegate> _Nullable)delegate;
- (void)capabilityDataWithCompletionHandler:(void (^ _Nullable)(NPCapability * _Nullable, NSError * _Nullable))completionHandler;
@end



@protocol NPCreditCardFormViewControllerDelegate;
@class UILabel;
@class UIScrollView;
@class NPMainActionButton;
@class UIToolbar;
@class UIBarButtonItem;
@class UIView;
@class NSLayoutConstraint;
@class UIImageView;
@class UIButton;
@class UIActivityIndicatorView;
@class NSNotification;
@class NSBundle;

SWIFT_CLASS_NAMED("CreditCardFormViewController")
@interface NPCreditCardFormViewController : UIViewController
@property (nonatomic, copy) NSString * _Nullable publicKey;
@property (nonatomic) BOOL testMode;
@property (nonatomic, weak) id <NPCreditCardFormViewControllerDelegate> _Nullable delegate;
@property (nonatomic) BOOL handleErrors;
@property (nonatomic, strong) IBInspectable UIColor * _Nullable preferredPrimaryColor;
@property (nonatomic, strong) IBInspectable UIColor * _Nullable preferredSecondaryColor;
@property (nonatomic, strong) IBInspectable UIColor * _Null_unspecified errorMessageTextColor;
@property (nonatomic, copy) IBOutletCollection(NPNetPayTextField) NSArray<NPNetPayTextField *> * _Null_unspecified formFields;
@property (nonatomic, copy) IBOutletCollection(UILabel) NSArray<UILabel *> * _Null_unspecified formLabels;
@property (nonatomic, copy) IBOutletCollection(UILabel) NSArray<UILabel *> * _Null_unspecified errorLabels;
@property (nonatomic, strong) IBOutlet UIScrollView * _Null_unspecified contentView;
@property (nonatomic, strong) IBOutlet NPCardNumberTextField * _Null_unspecified cardNumberTextField;
@property (nonatomic, strong) IBOutlet NPCardNameTextField * _Null_unspecified cardNameTextField;
@property (nonatomic, strong) IBOutlet NPCardExpiryDateTextField * _Null_unspecified expiryDateTextField;
@property (nonatomic, strong) IBOutlet NPCardCVVTextField * _Null_unspecified secureCodeTextField;
@property (nonatomic, strong) IBOutlet NPMainActionButton * _Null_unspecified confirmButton;
@property (nonatomic, strong) IBOutlet UIToolbar * _Null_unspecified formFieldsAccessoryView;
@property (nonatomic, strong) IBOutlet UIBarButtonItem * _Null_unspecified gotoPreviousFieldBarButtonItem;
@property (nonatomic, strong) IBOutlet UIBarButtonItem * _Null_unspecified gotoNextFieldBarButtonItem;
@property (nonatomic, strong) IBOutlet UIBarButtonItem * _Null_unspecified doneEditingBarButtonItem;
@property (nonatomic, strong) IBOutlet UILabel * _Null_unspecified creditCardNumberErrorLabel;
@property (nonatomic, strong) IBOutlet UILabel * _Null_unspecified cardHolderNameErrorLabel;
@property (nonatomic, strong) IBOutlet UILabel * _Null_unspecified cardExpiryDateErrorLabel;
@property (nonatomic, strong) IBOutlet UILabel * _Null_unspecified cardSecurityCodeErrorLabel;
@property (nonatomic, strong) IBOutlet UIView * _Null_unspecified errorBannerView;
@property (nonatomic, strong) IBOutlet UILabel * _Null_unspecified errorTitleLabel;
@property (nonatomic, strong) IBOutlet UILabel * _Null_unspecified errorMessageLabel;
@property (nonatomic, strong) IBOutlet NSLayoutConstraint * _Null_unspecified hidingErrorBannerConstraint;
@property (nonatomic, strong) IBOutlet NSLayoutConstraint * _Null_unspecified emptyErrorMessageConstraint;
@property (nonatomic, strong) IBOutlet UIImageView * _Null_unspecified cardBrandIconImageView;
@property (nonatomic, strong) IBOutlet UIButton * _Null_unspecified cvvInfoButton;
@property (nonatomic, strong) IBOutlet UIActivityIndicatorView * _Null_unspecified requestingIndicatorView;
SWIFT_CLASS_PROPERTY(@property (nonatomic, class, readonly, strong) UIColor * _Nonnull defaultErrorMessageTextColor;)
+ (UIColor * _Nonnull)defaultErrorMessageTextColor SWIFT_WARN_UNUSED_RESULT;
@property (nonatomic) BOOL cardIOEnabled SWIFT_UNAVAILABLE_MSG("Built in support for Card.ios was removed. You can implement it in your app and call the setCreditCardInformation(number:name:expiration:) method");
+ (NPCreditCardFormViewController * _Nonnull)creditCardFormViewControllerWithPublicKey:(NSString * _Nonnull)publicKey testMode:(BOOL)testMode SWIFT_WARN_UNUSED_RESULT;
+ (NPCreditCardFormViewController * _Nonnull)makeCreditCardFormWithPublicKey:(NSString * _Nonnull)publicKey testMode:(BOOL)testMode SWIFT_WARN_UNUSED_RESULT SWIFT_DEPRECATED_MSG("Please use the new method that confrom to Objective-C convention +[NPCreditCardFormViewController creditCardFormViewControllerWithPublicKey:] as of this method will be removed in the future release.", "makeCreditCardFormViewController(withPublicKey:)");
- (void)setCreditCardInformationWithNumber:(NSString * _Nonnull)number name:(NSString * _Nonnull)name expMonth:(NSInteger)expMonth expirationYear:(NSInteger)expirationYear;
- (void)loadView;
- (void)viewDidLoad;
- (void)viewWillLayoutSubviews;
- (void)viewDidAppear:(BOOL)animated;
- (void)viewDidDisappear:(BOOL)animated;
- (void)traitCollectionDidChange:(UITraitCollection * _Nullable)previousTraitCollection;
- (IBAction)displayMoreCVVInfo:(UIButton * _Nonnull)sender;
- (IBAction)cancelForm;
- (void)keyboardWillChangeFrame:(NSNotification * _Nonnull)notification;
- (void)keyboardWillHide:(NSNotification * _Nonnull)notification;
- (IBAction)dismissErrorBanner:(id _Nonnull)sender;
- (nonnull instancetype)initWithNibName:(NSString * _Nullable)nibNameOrNil bundle:(NSBundle * _Nullable)nibBundleOrNil OBJC_DESIGNATED_INITIALIZER;
- (nullable instancetype)initWithCoder:(NSCoder * _Nonnull)coder OBJC_DESIGNATED_INITIALIZER;
@end



@interface NPCreditCardFormViewController (SWIFT_EXTENSION(NetPaySDK))
- (IBAction)updateAccessibilityValue:(NPNetPayTextField * _Nonnull)sender;
- (BOOL)accessibilityPerformMagicTap SWIFT_WARN_UNUSED_RESULT;
- (BOOL)accessibilityPerformEscape SWIFT_WARN_UNUSED_RESULT;
@end


@interface NPCreditCardFormViewController (SWIFT_EXTENSION(NetPaySDK))
- (IBAction)validateTextFieldDataOf:(NPNetPayTextField * _Nonnull)sender;
- (IBAction)updateInputAccessoryViewFor:(NPNetPayTextField * _Nonnull)sender;
@end

@class UIEvent;

SWIFT_CLASS("_TtC9NetPaySDK21ExpandedHitAreaButton")
@interface ExpandedHitAreaButton : UIButton
- (BOOL)pointInside:(CGPoint)point withEvent:(UIEvent * _Nullable)event SWIFT_WARN_UNUSED_RESULT;
- (nonnull instancetype)initWithFrame:(CGRect)frame OBJC_DESIGNATED_INITIALIZER;
- (nullable instancetype)initWithCoder:(NSCoder * _Nonnull)coder OBJC_DESIGNATED_INITIALIZER;
@end


IB_DESIGNABLE
SWIFT_CLASS_NAMED("MainActionButton")
@interface NPMainActionButton : UIButton
@property (nonatomic) IBInspectable CGFloat cornerRadius;
@property (nonatomic, strong) IBInspectable UIColor * _Nullable defaultBackgroundColor;
@property (nonatomic, strong) IBInspectable UIColor * _Nullable highlightedBackgroundColor;
@property (nonatomic, strong) IBInspectable UIColor * _Nullable selectedBackgroundColor;
@property (nonatomic, strong) IBInspectable UIColor * _Nullable disabledBackgroundColor;
@property (nonatomic, getter=isEnabled) BOOL enabled;
@property (nonatomic, getter=isSelected) BOOL selected;
@property (nonatomic, getter=isHighlighted) BOOL highlighted;
@property (nonatomic, strong) UIColor * _Nullable backgroundColor;
- (nonnull instancetype)initWithFrame:(CGRect)frame OBJC_DESIGNATED_INITIALIZER;
- (nullable instancetype)initWithCoder:(NSCoder * _Nonnull)aDecoder OBJC_DESIGNATED_INITIALIZER;
- (void)prepareForInterfaceBuilder;
@end


SWIFT_CLASS("_TtC9NetPaySDK34MoreInformationOnCVVViewController")
@interface MoreInformationOnCVVViewController : UIViewController
@property (nonatomic, strong) IBOutlet UIImageView * _Null_unspecified cvvLocationImageView;
@property (nonatomic, strong) IBOutlet UILabel * _Null_unspecified cvvLocationDescriptionLabel;
@property (nonatomic, strong) IBOutlet ExpandedHitAreaButton * _Null_unspecified closeButton;
- (void)loadView;
- (void)viewDidLoad;
- (IBAction)askToClose:(id _Nonnull)sender;
- (nonnull instancetype)initWithNibName:(NSString * _Nullable)nibNameOrNil bundle:(NSBundle * _Nullable)nibBundleOrNil OBJC_DESIGNATED_INITIALIZER;
- (nullable instancetype)initWithCoder:(NSCoder * _Nonnull)coder OBJC_DESIGNATED_INITIALIZER;
@end


SWIFT_PROTOCOL("_TtP9NetPaySDK38NPCreditCardFormViewControllerDelegate_")
@protocol NPCreditCardFormViewControllerDelegate
- (void)creditCardFormViewController:(NPCreditCardFormViewController * _Nonnull)controller didSucceedWithToken:(NPToken * _Nonnull)token;
- (void)creditCardFormViewController:(NPCreditCardFormViewController * _Nonnull)controller didFailWithError:(NSError * _Nonnull)error;
@optional
- (void)creditCardFormViewControllerDidCancel:(NPCreditCardFormViewController * _Nonnull)controller;
@required
- (void)creditCardForm:(NPCreditCardFormViewController * _Nonnull)controller didSucceedWithToken:(NPToken * _Nonnull)token SWIFT_UNAVAILABLE_MSG("'creditCardForm' has been renamed to 'creditCardFormViewController:didSucceedWithToken:': Implement the new -[NPCreditCardFormViewControllerDelegate creditCardFormViewController:didSucceedWithToken:] instead");
- (void)creditCardForm:(NPCreditCardFormViewController * _Nonnull)controller didFailWithError:(NSError * _Nonnull)error SWIFT_UNAVAILABLE_MSG("'creditCardForm' has been renamed to 'creditCardFormViewController:didFailWithError:': Implement the new -[NPCreditCardFormViewControllerDelegate creditCardFormViewController:didFailWithError:] instead");
@end


SWIFT_PROTOCOL("_TtP9NetPaySDK24NPCreditCardFormDelegate_") SWIFT_DEPRECATED_MSG("This delegate name is deprecated. Please use the new name of `NPCreditCardFormViewControllerDelegate`", "_TtP9NetPaySDK38NPCreditCardFormViewControllerDelegate_")
@protocol NPCreditCardFormDelegate <NPCreditCardFormViewControllerDelegate>
@end


@class NPPaymentCreatorController;

SWIFT_PROTOCOL("_TtP9NetPaySDK34NPPaymentCreatorControllerDelegate_")
@protocol NPPaymentCreatorControllerDelegate <NSObject>
- (void)paymentCreatorController:(NPPaymentCreatorController * _Nonnull)paymentCreatorController didCreateToken:(NPToken * _Nonnull)token;
- (void)paymentCreatorController:(NPPaymentCreatorController * _Nonnull)paymentCreatorController didCreateSource:(NPSource * _Nonnull)source;
- (void)paymentCreatorController:(NPPaymentCreatorController * _Nonnull)paymentCreatorController didFailWithError:(NSError * _Nonnull)error;
@optional
- (void)paymentCreatorControllerDidCancel:(NPPaymentCreatorController * _Nonnull)paymentCreatorController;
@end


SWIFT_PROTOCOL("_TtP9NetPaySDK23NPSourceRequestDelegate_")
@protocol NPSourceRequestDelegate
- (void)sourceRequest:(NPSourceRequest * _Nonnull)request didSucceedWithSource:(NPSource * _Nonnull)source;
- (void)sourceRequest:(NPSourceRequest * _Nonnull)request didFailWithError:(NSError * _Nonnull)error;
@end


SWIFT_PROTOCOL("_TtP9NetPaySDK22NPTokenRequestDelegate_")
@protocol NPTokenRequestDelegate
- (void)tokenRequest:(NPTokenRequest * _Nonnull)request didSucceedWithToken:(NPToken * _Nonnull)token;
- (void)tokenRequest:(NPTokenRequest * _Nonnull)request didFailWithError:(NSError * _Nonnull)error;
@end


@interface NSCalendar (SWIFT_EXTENSION(NetPaySDK))
SWIFT_CLASS_PROPERTY(@property (nonatomic, class, readonly, copy) NSCalendar * _Nonnull creditCardInformationCalendar;)
+ (NSCalendar * _Nonnull)creditCardInformationCalendar SWIFT_WARN_UNUSED_RESULT;
@end



SWIFT_CLASS("_TtC9NetPaySDK15NetPaySDKClient") SWIFT_DEPRECATED_MSG("Utiliza `Client`. ", "NPSDKClient")
@interface NetPaySDKClient : NSObject
@property (nonatomic, readonly, copy) NSString * _Nonnull publicKey;
@property (nonatomic, readonly) BOOL testMode;
@property (nonatomic, readonly, copy) NSString * _Nonnull userAgent;
- (nonnull instancetype)init SWIFT_UNAVAILABLE;
+ (nonnull instancetype)new SWIFT_UNAVAILABLE_MSG("-init is unavailable");
@end



@interface NPNetPayTextField (SWIFT_EXTENSION(NetPaySDK))
- (CGRect)borderRectForBounds:(CGRect)bounds SWIFT_WARN_UNUSED_RESULT;
- (CGRect)textRectForBounds:(CGRect)bounds SWIFT_WARN_UNUSED_RESULT;
- (CGRect)editingRectForBounds:(CGRect)bounds SWIFT_WARN_UNUSED_RESULT;
- (CGRect)clearButtonRectForBounds:(CGRect)bounds SWIFT_WARN_UNUSED_RESULT;
- (CGRect)rightViewRectForBounds:(CGRect)bounds SWIFT_WARN_UNUSED_RESULT;
- (CGRect)leftViewRectForBounds:(CGRect)bounds SWIFT_WARN_UNUSED_RESULT;
@end


SWIFT_CLASS("_TtC9NetPaySDK18NetPayTokenRequest") SWIFT_DEPRECATED_MSG("Use the new `Request<Token>` type. This class will be removed in the future released", "")
@interface NetPayTokenRequest : NSObject
@property (nonatomic, readonly, copy) NSString * _Nonnull cardHolderName;
@property (nonatomic, readonly, copy) NSString * _Nonnull deviceFingerPrint;
@property (nonatomic, readonly, copy) NSString * _Nonnull cardNumber;
@property (nonatomic, readonly, copy) NSString * _Nonnull expMonth;
@property (nonatomic, readonly, copy) NSString * _Nonnull expYear;
@property (nonatomic, readonly, copy) NSString * _Nonnull cvv2;
- (nonnull instancetype)initWithCardHolderName:(NSString * _Nonnull)cardHolderName cardNumber:(NSString * _Nonnull)cardNumber expMonth:(NSString * _Nonnull)expMonth expYear:(NSString * _Nonnull)expYear cvv2:(NSString * _Nonnull)cvv2 deviceFingerPrint:(NSString * _Nonnull)deviceFingerPrint OBJC_DESIGNATED_INITIALIZER;
- (nonnull instancetype)init SWIFT_UNAVAILABLE;
+ (nonnull instancetype)new SWIFT_UNAVAILABLE_MSG("-init is unavailable");
@end


SWIFT_CLASS("_TtC9NetPaySDK10NoticeView")
@interface NoticeView : UIView
@property (nonatomic, strong) IBOutlet UIImageView * _Null_unspecified iconImageView;
@property (nonatomic, strong) IBOutlet UILabel * _Null_unspecified titleLabel;
@property (nonatomic, strong) IBOutlet UILabel * _Null_unspecified detailLabel;
- (nonnull instancetype)initWithFrame:(CGRect)frame OBJC_DESIGNATED_INITIALIZER;
- (nullable instancetype)initWithCoder:(NSCoder * _Nonnull)coder OBJC_DESIGNATED_INITIALIZER;
@end


@protocol UIContentContainer;

SWIFT_CLASS("_TtC9NetPaySDK34OverlayPanelPresentationController")
@interface OverlayPanelPresentationController : UIPresentationController
@property (nonatomic, readonly) CGRect frameOfPresentedViewInContainerView;
- (nonnull instancetype)initWithPresentedViewController:(UIViewController * _Nonnull)presentedViewController presentingViewController:(UIViewController * _Nullable)presentingViewController OBJC_DESIGNATED_INITIALIZER;
- (void)presentationTransitionWillBegin;
- (void)dismissalTransitionWillBegin;
- (void)containerViewWillLayoutSubviews;
- (CGSize)sizeForChildContentContainer:(id <UIContentContainer> _Nonnull)container withParentContainerSize:(CGSize)parentSize SWIFT_WARN_UNUSED_RESULT;
- (void)preferredContentSizeDidChangeForChildContentContainer:(id <UIContentContainer> _Nonnull)container;
- (void)traitCollectionDidChange:(UITraitCollection * _Nullable)previousTraitCollection;
- (void)requestToDismiss:(id _Nonnull)sender;
@end


@interface OverlayPanelPresentationController (SWIFT_EXTENSION(NetPaySDK)) <UIAdaptivePresentationControllerDelegate>
- (UIModalPresentationStyle)adaptivePresentationStyleForPresentationController:(UIPresentationController * _Nonnull)controller traitCollection:(UITraitCollection * _Nonnull)traitCollection SWIFT_WARN_UNUSED_RESULT;
@end

@protocol UIViewControllerContextTransitioning;

@interface OverlayPanelPresentationController (SWIFT_EXTENSION(NetPaySDK)) <UIViewControllerAnimatedTransitioning>
- (NSTimeInterval)transitionDuration:(id <UIViewControllerContextTransitioning> _Nullable)transitionContext SWIFT_WARN_UNUSED_RESULT;
- (void)animateTransition:(id <UIViewControllerContextTransitioning> _Nonnull)transitionContext;
@end


SWIFT_CLASS("_TtC9NetPaySDK33OverlayPanelTransitioningDelegate")
@interface OverlayPanelTransitioningDelegate : NSObject <UIViewControllerTransitioningDelegate>
- (UIPresentationController * _Nullable)presentationControllerForPresentedViewController:(UIViewController * _Nonnull)presented presentingViewController:(UIViewController * _Nullable)presenting sourceViewController:(UIViewController * _Nonnull)source SWIFT_WARN_UNUSED_RESULT;
- (id <UIViewControllerAnimatedTransitioning> _Nullable)animationControllerForPresentedController:(UIViewController * _Nonnull)presented presentingController:(UIViewController * _Nonnull)presenting sourceController:(UIViewController * _Nonnull)source SWIFT_WARN_UNUSED_RESULT;
- (id <UIViewControllerAnimatedTransitioning> _Nullable)animationControllerForDismissedController:(UIViewController * _Nonnull)dismissed SWIFT_WARN_UNUSED_RESULT;
- (nonnull instancetype)init OBJC_DESIGNATED_INITIALIZER;
@end

@protocol UIViewControllerTransitionCoordinator;

SWIFT_CLASS_NAMED("PaymentCreatorController")
@interface NPPaymentCreatorController : UINavigationController
@property (nonatomic, copy) NSString * _Nullable publicKey;
@property (nonatomic) BOOL testMode;
@property (nonatomic) int64_t paymentAmount;
@property (nonatomic, copy) NSString * _Nullable paymentCurrencyCode;
@property (nonatomic) BOOL showsCreditCardPayment;
@property (nonatomic, copy) NSArray<NPSourceTypeValue> * _Nonnull allowedPaymentMethods;
@property (nonatomic) BOOL handleErrors;
@property (nonatomic, weak) id <NPPaymentCreatorControllerDelegate> _Nullable paymentDelegate;
@property (nonatomic, strong) IBInspectable UIColor * _Nullable preferredPrimaryColor;
@property (nonatomic, strong) IBInspectable UIColor * _Nullable preferredSecondaryColor;
+ (NPPaymentCreatorController * _Nonnull)paymentCreatorControllerWithPublicKey:(NSString * _Nonnull)publicKey amount:(int64_t)amount currency:(NSString * _Nonnull)currencyCode allowedPaymentMethods:(NSArray<NPSourceTypeValue> * _Nonnull)allowedPaymentMethods paymentDelegate:(id <NPPaymentCreatorControllerDelegate> _Nonnull)paymentDelegate testMode:(BOOL)testMode SWIFT_WARN_UNUSED_RESULT;
- (nonnull instancetype)init OBJC_DESIGNATED_INITIALIZER;
- (nonnull instancetype)initWithRootViewController:(UIViewController * _Nonnull)rootViewController OBJC_DESIGNATED_INITIALIZER SWIFT_AVAILABILITY(ios,unavailable);
- (nullable instancetype)initWithCoder:(NSCoder * _Nonnull)aDecoder OBJC_DESIGNATED_INITIALIZER;
- (nonnull instancetype)initWithNibName:(NSString * _Nullable)nibNameOrNil bundle:(NSBundle * _Nullable)nibBundleOrNil OBJC_DESIGNATED_INITIALIZER;
- (nonnull instancetype)initWithNavigationBarClass:(Class _Nullable)navigationBarClass toolbarClass:(Class _Nullable)toolbarClass OBJC_DESIGNATED_INITIALIZER;
@property (nonatomic, copy) NSArray<UIViewController *> * _Nonnull viewControllers;
- (void)applyPaymentMethodsFrom:(NPCapability * _Nonnull)capability;
- (void)displayErrorWithTitle:(NSString * _Nonnull)title message:(NSString * _Nullable)message animated:(BOOL)animated sender:(id _Nullable)sender;
- (void)dismissErrorMessageWithAnimated:(BOOL)animated sender:(id _Nullable)sender;
- (void)pushViewController:(UIViewController * _Nonnull)viewController animated:(BOOL)animated;
- (void)addChildViewController:(UIViewController * _Nonnull)childController;
- (void)loadView;
- (void)viewWillTransitionToSize:(CGSize)size withTransitionCoordinator:(id <UIViewControllerTransitionCoordinator> _Nonnull)coordinator;
- (void)dismissErrorMessageBanner:(id _Nonnull)sender;
@end




SWIFT_CLASS("_TtC9NetPaySDK26PaymentOptionTableViewCell")
@interface PaymentOptionTableViewCell : UITableViewCell
@property (nonatomic) IBInspectable CGFloat separatorHeight;
- (nonnull instancetype)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString * _Nullable)reuseIdentifier OBJC_DESIGNATED_INITIALIZER;
- (nullable instancetype)initWithCoder:(NSCoder * _Nonnull)aDecoder OBJC_DESIGNATED_INITIALIZER;
- (void)layoutSubviews;
@end


SWIFT_CLASS("_TtC9NetPaySDK17ProfileController")
@interface ProfileController : NSObject
@property (nonatomic) NSTimeInterval timeout;
- (nonnull instancetype)init OBJC_DESIGNATED_INITIALIZER;
@end



@interface UIViewController (SWIFT_EXTENSION(NetPaySDK))
- (void)displayErrorWithTitle:(NSString * _Nonnull)title message:(NSString * _Nullable)message animated:(BOOL)animated sender:(id _Nullable)sender;
- (void)dismissErrorMessageWithAnimated:(BOOL)animated sender:(id _Nullable)sender;
@end


SWIFT_CLASS_NAMED("__CardCVVTextField") SWIFT_DEPRECATED_MSG("Use the new `NPCardCVVTextField` data type instead. This class will be removed in the future released", "NPCardCVVTextField")
@interface CardCVVTextField : NPCardCVVTextField
- (nonnull instancetype)initWithFrame:(CGRect)frame OBJC_DESIGNATED_INITIALIZER;
- (nullable instancetype)initWithCoder:(NSCoder * _Nonnull)aDecoder OBJC_DESIGNATED_INITIALIZER;
- (nonnull instancetype)init OBJC_DESIGNATED_INITIALIZER;
@end


SWIFT_CLASS_NAMED("__CardExpiryDatePicker") SWIFT_DEPRECATED_MSG("Use the new `NPCardExpiryDatePicker` data type instead. This class will be removed in the future released", "NPCardExpiryDatePicker")
@interface CardExpiryDatePicker : NPCardExpiryDatePicker
- (nonnull instancetype)initWithFrame:(CGRect)frame OBJC_DESIGNATED_INITIALIZER;
- (nullable instancetype)initWithCoder:(NSCoder * _Nonnull)aDecoder OBJC_DESIGNATED_INITIALIZER;
@end


SWIFT_CLASS_NAMED("__CardExpiryDateTextField") SWIFT_DEPRECATED_MSG("Use the new `NPCardExpiryDateTextField` data type instead. This class will be removed in the future released", "NPCardExpiryDateTextField")
@interface CardExpiryDateTextField : NPCardExpiryDateTextField
- (nonnull instancetype)init OBJC_DESIGNATED_INITIALIZER;
- (nonnull instancetype)initWithFrame:(CGRect)frame OBJC_DESIGNATED_INITIALIZER;
- (nullable instancetype)initWithCoder:(NSCoder * _Nonnull)aDecoder OBJC_DESIGNATED_INITIALIZER;
@end


SWIFT_CLASS_NAMED("__CardNameTextField") SWIFT_DEPRECATED_MSG("Use the new `NPCardNameTextField` data type instead. This class will be removed in the future released", "NPCardNameTextField")
@interface CardNameTextField : NPCardNameTextField
- (nonnull instancetype)initWithFrame:(CGRect)frame OBJC_DESIGNATED_INITIALIZER;
- (nullable instancetype)initWithCoder:(NSCoder * _Nonnull)aDecoder OBJC_DESIGNATED_INITIALIZER;
- (nonnull instancetype)init OBJC_DESIGNATED_INITIALIZER;
@end


SWIFT_CLASS_NAMED("__CardNumberTextField") SWIFT_DEPRECATED_MSG("Use the new `NPCardNumberTextField` data type instead. This class will be removed in the future released", "NPCardNumberTextField")
@interface CardNumberTextField : NPCardNumberTextField
- (nonnull instancetype)initWithFrame:(CGRect)frame OBJC_DESIGNATED_INITIALIZER;
- (nullable instancetype)initWithCoder:(NSCoder * _Nonnull)aDecoder OBJC_DESIGNATED_INITIALIZER;
- (nonnull instancetype)init OBJC_DESIGNATED_INITIALIZER;
@end


SWIFT_CLASS_NAMED("__SourcePaymentInformation")
@interface NPPaymentInformation : NSObject
@property (nonatomic, readonly) NPSourceTypeValue _Nonnull type;
- (nullable instancetype)initWithType:(NPSourceTypeValue _Nonnull)type OBJC_DESIGNATED_INITIALIZER;
- (nonnull instancetype)init SWIFT_UNAVAILABLE;
+ (nonnull instancetype)new SWIFT_UNAVAILABLE_MSG("-init is unavailable");
@end


SWIFT_CLASS_NAMED("__CustomSourcePayment")
@interface NPCustomPaymentInformation : NPPaymentInformation
@property (nonatomic, readonly, copy) NSDictionary<NSString *, id> * _Nonnull parameters;
- (nonnull instancetype)initWithCustomType:(NSString * _Nonnull)customType parameters:(NSDictionary<NSString *, id> * _Nonnull)parameters OBJC_DESIGNATED_INITIALIZER;
- (nullable instancetype)initWithType:(NPSourceTypeValue _Nonnull)type SWIFT_UNAVAILABLE;
@end


SWIFT_CLASS_NAMED("__NPCardBrand")
@interface NPCardBrandHelper : NSObject
+ (NSString * _Nonnull)patternForBrand:(enum NPCardBrand)brand SWIFT_WARN_UNUSED_RESULT;
+ (NSRange)validLengthsForBrand:(enum NPCardBrand)brand SWIFT_WARN_UNUSED_RESULT;
- (nonnull instancetype)init OBJC_DESIGNATED_INITIALIZER;
@end


SWIFT_CLASS_NAMED("__NPSourceRequest")
@interface NPSourceRequest : NSObject
@property (nonatomic, readonly, copy) NSString * _Nonnull type;
@property (nonatomic, readonly) int64_t amount;
@property (nonatomic, readonly, copy) NSString * _Nonnull currency;
- (nonnull instancetype)initWithPaymentInformation:(NPPaymentInformation * _Nonnull)paymentInformation amount:(int64_t)amount currencyCode:(NSString * _Nonnull)currencyCode OBJC_DESIGNATED_INITIALIZER;
- (nonnull instancetype)init SWIFT_UNAVAILABLE;
+ (nonnull instancetype)new SWIFT_UNAVAILABLE_MSG("-init is unavailable");
@end


SWIFT_CLASS_NAMED("__NPTokenRequest")
@interface NPTokenRequest : NSObject
@property (nonatomic, readonly, copy) NSString * _Nonnull cardHolderName;
@property (nonatomic, readonly, copy) NSString * _Nonnull cardNumber;
@property (nonatomic, readonly, copy) NSString * _Nonnull expMonth;
@property (nonatomic, readonly, copy) NSString * _Nonnull expYear;
@property (nonatomic, readonly, copy) NSString * _Nonnull cvv2;
- (nonnull instancetype)initWithCardHolderName:(NSString * _Nonnull)cardHolderName cardNumber:(NSString * _Nonnull)cardNumber expMonth:(NSString * _Nonnull)expMonth expYear:(NSString * _Nonnull)expYear cvv2:(NSString * _Nonnull)cvv2 deviceFingerPrint:(NSString * _Nonnull)deviceFingerPrint OBJC_DESIGNATED_INITIALIZER;
- (nonnull instancetype)init SWIFT_UNAVAILABLE;
+ (nonnull instancetype)new SWIFT_UNAVAILABLE_MSG("-init is unavailable");
@end

@class NPCapabilityBackend;

SWIFT_CLASS_NAMED("__NetPayCapability")
@interface NPCapability : NSObject
@property (nonatomic, copy) NSString * _Nonnull location;
@property (nonatomic, copy) NSSet<NSString *> * _Nonnull supportedBanks;
@property (nonatomic, copy) NSArray<NPCapabilityBackend *> * _Nonnull supportedBackends;
- (nonnull instancetype)init SWIFT_UNAVAILABLE;
+ (nonnull instancetype)new SWIFT_UNAVAILABLE_MSG("-init is unavailable");
@end

@class NPCapabilityBackendPayment;

SWIFT_CLASS_NAMED("__NetPayCapabilityBackend")
@interface NPCapabilityBackend : NSObject
@property (nonatomic, strong) NPCapabilityBackendPayment * _Nonnull payment;
@property (nonatomic, copy) NSSet<NSString *> * _Nonnull supportedCurrencyCodes;
- (nonnull instancetype)init SWIFT_UNAVAILABLE;
+ (nonnull instancetype)new SWIFT_UNAVAILABLE_MSG("-init is unavailable");
@end


SWIFT_CLASS_NAMED("__NetPayCapabilityBackendPayment")
@interface NPCapabilityBackendPayment : NSObject
- (nonnull instancetype)init OBJC_DESIGNATED_INITIALIZER;
@end



SWIFT_CLASS_NAMED("__NetPayCapabilityCardBackendPayment")
@interface NPCapabilityCardBackend : NPCapabilityBackendPayment
@property (nonatomic, readonly, copy) NSSet<NSString *> * _Nonnull supportedBrands;
- (nonnull instancetype)init SWIFT_UNAVAILABLE;
+ (nonnull instancetype)new SWIFT_UNAVAILABLE_MSG("-init is unavailable");
@end


SWIFT_CLASS_NAMED("__NetPayCapabilitySourceBackendPayment")
@interface NPCapabilitySourceBackend : NPCapabilityBackendPayment
@property (nonatomic, readonly) NPSourceTypeValue _Nonnull type;
- (nonnull instancetype)init SWIFT_UNAVAILABLE;
+ (nonnull instancetype)new SWIFT_UNAVAILABLE_MSG("-init is unavailable");
@end

@class NSIndexSet;

SWIFT_CLASS_NAMED("__NetPayCapabilityInstallmentBackendPayment")
@interface NPCapabilityInstallmentBackend : NPCapabilitySourceBackend
@property (nonatomic, readonly, copy) NSIndexSet * _Nonnull availableNumberOfTerms;
@end



SWIFT_CLASS_NAMED("__NetPayCapabilityUnknownSourceBackendPayment")
@interface NPCapabilityUnknownSourceBackend : NPCapabilitySourceBackend
@property (nonatomic, readonly, copy) NSDictionary<NSString *, id> * _Nonnull parameters;
@end


SWIFT_CLASS_NAMED("__NetPayCard")
@interface NPCard : NSObject
@property (nonatomic, readonly, copy) NSString * _Nullable lastFourDigits;
@property (nonatomic, readonly, copy) NSString * _Nullable brand;
@property (nonatomic, readonly, copy) NSString * _Nullable bank;
@property (nonatomic, readonly, copy) NSString * _Nullable type;
@property (nonatomic, readonly, copy) NSString * _Nullable country;
@property (nonatomic, readonly, copy) NSString * _Nullable expMonth;
@property (nonatomic, readonly, copy) NSString * _Nullable expYear;
@property (nonatomic, readonly, copy) NSString * _Nullable scheme;
- (nonnull instancetype)init SWIFT_UNAVAILABLE;
+ (nonnull instancetype)new SWIFT_UNAVAILABLE_MSG("-init is unavailable");
@end


SWIFT_CLASS_NAMED("__NetPaySource")
@interface NPSource : NSObject
@property (nonatomic, copy) NSString * _Nonnull object;
@property (nonatomic, copy) NSString * _Nonnull sourcdID;
@property (nonatomic, copy) NSString * _Nonnull type;
@property (nonatomic, strong) NPPaymentInformation * _Nonnull paymentInformation;
@property (nonatomic, copy) NSString * _Nonnull flow;
@property (nonatomic) int64_t amount;
@property (nonatomic, copy) NSString * _Nonnull currencyCode;
- (nonnull instancetype)init SWIFT_UNAVAILABLE;
+ (nonnull instancetype)new SWIFT_UNAVAILABLE_MSG("-init is unavailable");
@end


SWIFT_CLASS_NAMED("__NetPayTextField") SWIFT_DEPRECATED_MSG("Use the new `NPNetPayTextField` data type instead. This class will be removed in the future released", "NPNetPayTextField")
@interface NetPayTextField : NPNetPayTextField
- (nonnull instancetype)initWithFrame:(CGRect)frame OBJC_DESIGNATED_INITIALIZER;
- (nullable instancetype)initWithCoder:(NSCoder * _Nonnull)aDecoder OBJC_DESIGNATED_INITIALIZER;
- (nonnull instancetype)init OBJC_DESIGNATED_INITIALIZER;
@end


SWIFT_CLASS_NAMED("__NetPayToken")
@interface NPToken : NSObject
@property (nonatomic, copy) NSString * _Nullable lastFourDigits SWIFT_DEPRECATED_MSG("Utiliza `__NetPayToken.tokenID`");
@property (nonatomic, copy) NSString * _Nullable brand;
@property (nonatomic, copy) NSString * _Nullable bank;
@property (nonatomic, copy) NSString * _Nullable type;
@property (nonatomic, copy) NSString * _Nullable country;
@property (nonatomic, copy) NSString * _Nullable scheme;
- (nonnull instancetype)init SWIFT_UNAVAILABLE;
+ (nonnull instancetype)new SWIFT_UNAVAILABLE_MSG("-init is unavailable");
@end


SWIFT_CLASS_NAMED("__SourceBarcodePayment")
@interface NPBarcodePaymentInformation : NPPaymentInformation
- (nullable instancetype)initWithType:(NPSourceTypeValue _Nonnull)type OBJC_DESIGNATED_INITIALIZER;
@end


SWIFT_CLASS_NAMED("__SourceCustomBarcodePayment")
@interface NPCustomBarcodePaymentInformation : NPBarcodePaymentInformation
@property (nonatomic, readonly, copy) NSDictionary<NSString *, id> * _Nonnull parameters;
- (nonnull instancetype)initWithCustomType:(NSString * _Nonnull)customType parameters:(NSDictionary<NSString *, id> * _Nonnull)parameters OBJC_DESIGNATED_INITIALIZER;
- (nullable instancetype)initWithType:(NPSourceTypeValue _Nonnull)type SWIFT_UNAVAILABLE;
@end



#if __has_attribute(external_source_symbol)
# pragma clang attribute pop
#endif
#pragma clang diagnostic pop
#endif

#elif defined(__ARM_ARCH_7A__) && __ARM_ARCH_7A__
// Generated by Apple Swift version 5.4 (swiftlang-1205.0.26.9 clang-1205.0.19.55)
#ifndef NETPAYSDK_SWIFT_H
#define NETPAYSDK_SWIFT_H
#pragma clang diagnostic push
#pragma clang diagnostic ignored "-Wgcc-compat"

#if !defined(__has_include)
# define __has_include(x) 0
#endif
#if !defined(__has_attribute)
# define __has_attribute(x) 0
#endif
#if !defined(__has_feature)
# define __has_feature(x) 0
#endif
#if !defined(__has_warning)
# define __has_warning(x) 0
#endif

#if __has_include(<swift/objc-prologue.h>)
# include <swift/objc-prologue.h>
#endif

#pragma clang diagnostic ignored "-Wauto-import"
#include <Foundation/Foundation.h>
#include <stdint.h>
#include <stddef.h>
#include <stdbool.h>

#if !defined(SWIFT_TYPEDEFS)
# define SWIFT_TYPEDEFS 1
# if __has_include(<uchar.h>)
#  include <uchar.h>
# elif !defined(__cplusplus)
typedef uint_least16_t char16_t;
typedef uint_least32_t char32_t;
# endif
typedef float swift_float2  __attribute__((__ext_vector_type__(2)));
typedef float swift_float3  __attribute__((__ext_vector_type__(3)));
typedef float swift_float4  __attribute__((__ext_vector_type__(4)));
typedef double swift_double2  __attribute__((__ext_vector_type__(2)));
typedef double swift_double3  __attribute__((__ext_vector_type__(3)));
typedef double swift_double4  __attribute__((__ext_vector_type__(4)));
typedef int swift_int2  __attribute__((__ext_vector_type__(2)));
typedef int swift_int3  __attribute__((__ext_vector_type__(3)));
typedef int swift_int4  __attribute__((__ext_vector_type__(4)));
typedef unsigned int swift_uint2  __attribute__((__ext_vector_type__(2)));
typedef unsigned int swift_uint3  __attribute__((__ext_vector_type__(3)));
typedef unsigned int swift_uint4  __attribute__((__ext_vector_type__(4)));
#endif

#if !defined(SWIFT_PASTE)
# define SWIFT_PASTE_HELPER(x, y) x##y
# define SWIFT_PASTE(x, y) SWIFT_PASTE_HELPER(x, y)
#endif
#if !defined(SWIFT_METATYPE)
# define SWIFT_METATYPE(X) Class
#endif
#if !defined(SWIFT_CLASS_PROPERTY)
# if __has_feature(objc_class_property)
#  define SWIFT_CLASS_PROPERTY(...) __VA_ARGS__
# else
#  define SWIFT_CLASS_PROPERTY(...)
# endif
#endif

#if __has_attribute(objc_runtime_name)
# define SWIFT_RUNTIME_NAME(X) __attribute__((objc_runtime_name(X)))
#else
# define SWIFT_RUNTIME_NAME(X)
#endif
#if __has_attribute(swift_name)
# define SWIFT_COMPILE_NAME(X) __attribute__((swift_name(X)))
#else
# define SWIFT_COMPILE_NAME(X)
#endif
#if __has_attribute(objc_method_family)
# define SWIFT_METHOD_FAMILY(X) __attribute__((objc_method_family(X)))
#else
# define SWIFT_METHOD_FAMILY(X)
#endif
#if __has_attribute(noescape)
# define SWIFT_NOESCAPE __attribute__((noescape))
#else
# define SWIFT_NOESCAPE
#endif
#if __has_attribute(ns_consumed)
# define SWIFT_RELEASES_ARGUMENT __attribute__((ns_consumed))
#else
# define SWIFT_RELEASES_ARGUMENT
#endif
#if __has_attribute(warn_unused_result)
# define SWIFT_WARN_UNUSED_RESULT __attribute__((warn_unused_result))
#else
# define SWIFT_WARN_UNUSED_RESULT
#endif
#if __has_attribute(noreturn)
# define SWIFT_NORETURN __attribute__((noreturn))
#else
# define SWIFT_NORETURN
#endif
#if !defined(SWIFT_CLASS_EXTRA)
# define SWIFT_CLASS_EXTRA
#endif
#if !defined(SWIFT_PROTOCOL_EXTRA)
# define SWIFT_PROTOCOL_EXTRA
#endif
#if !defined(SWIFT_ENUM_EXTRA)
# define SWIFT_ENUM_EXTRA
#endif
#if !defined(SWIFT_CLASS)
# if __has_attribute(objc_subclassing_restricted)
#  define SWIFT_CLASS(SWIFT_NAME) SWIFT_RUNTIME_NAME(SWIFT_NAME) __attribute__((objc_subclassing_restricted)) SWIFT_CLASS_EXTRA
#  define SWIFT_CLASS_NAMED(SWIFT_NAME) __attribute__((objc_subclassing_restricted)) SWIFT_COMPILE_NAME(SWIFT_NAME) SWIFT_CLASS_EXTRA
# else
#  define SWIFT_CLASS(SWIFT_NAME) SWIFT_RUNTIME_NAME(SWIFT_NAME) SWIFT_CLASS_EXTRA
#  define SWIFT_CLASS_NAMED(SWIFT_NAME) SWIFT_COMPILE_NAME(SWIFT_NAME) SWIFT_CLASS_EXTRA
# endif
#endif
#if !defined(SWIFT_RESILIENT_CLASS)
# if __has_attribute(objc_class_stub)
#  define SWIFT_RESILIENT_CLASS(SWIFT_NAME) SWIFT_CLASS(SWIFT_NAME) __attribute__((objc_class_stub))
#  define SWIFT_RESILIENT_CLASS_NAMED(SWIFT_NAME) __attribute__((objc_class_stub)) SWIFT_CLASS_NAMED(SWIFT_NAME)
# else
#  define SWIFT_RESILIENT_CLASS(SWIFT_NAME) SWIFT_CLASS(SWIFT_NAME)
#  define SWIFT_RESILIENT_CLASS_NAMED(SWIFT_NAME) SWIFT_CLASS_NAMED(SWIFT_NAME)
# endif
#endif

#if !defined(SWIFT_PROTOCOL)
# define SWIFT_PROTOCOL(SWIFT_NAME) SWIFT_RUNTIME_NAME(SWIFT_NAME) SWIFT_PROTOCOL_EXTRA
# define SWIFT_PROTOCOL_NAMED(SWIFT_NAME) SWIFT_COMPILE_NAME(SWIFT_NAME) SWIFT_PROTOCOL_EXTRA
#endif

#if !defined(SWIFT_EXTENSION)
# define SWIFT_EXTENSION(M) SWIFT_PASTE(M##_Swift_, __LINE__)
#endif

#if !defined(OBJC_DESIGNATED_INITIALIZER)
# if __has_attribute(objc_designated_initializer)
#  define OBJC_DESIGNATED_INITIALIZER __attribute__((objc_designated_initializer))
# else
#  define OBJC_DESIGNATED_INITIALIZER
# endif
#endif
#if !defined(SWIFT_ENUM_ATTR)
# if defined(__has_attribute) && __has_attribute(enum_extensibility)
#  define SWIFT_ENUM_ATTR(_extensibility) __attribute__((enum_extensibility(_extensibility)))
# else
#  define SWIFT_ENUM_ATTR(_extensibility)
# endif
#endif
#if !defined(SWIFT_ENUM)
# define SWIFT_ENUM(_type, _name, _extensibility) enum _name : _type _name; enum SWIFT_ENUM_ATTR(_extensibility) SWIFT_ENUM_EXTRA _name : _type
# if __has_feature(generalized_swift_name)
#  define SWIFT_ENUM_NAMED(_type, _name, SWIFT_NAME, _extensibility) enum _name : _type _name SWIFT_COMPILE_NAME(SWIFT_NAME); enum SWIFT_COMPILE_NAME(SWIFT_NAME) SWIFT_ENUM_ATTR(_extensibility) SWIFT_ENUM_EXTRA _name : _type
# else
#  define SWIFT_ENUM_NAMED(_type, _name, SWIFT_NAME, _extensibility) SWIFT_ENUM(_type, _name, _extensibility)
# endif
#endif
#if !defined(SWIFT_UNAVAILABLE)
# define SWIFT_UNAVAILABLE __attribute__((unavailable))
#endif
#if !defined(SWIFT_UNAVAILABLE_MSG)
# define SWIFT_UNAVAILABLE_MSG(msg) __attribute__((unavailable(msg)))
#endif
#if !defined(SWIFT_AVAILABILITY)
# define SWIFT_AVAILABILITY(plat, ...) __attribute__((availability(plat, __VA_ARGS__)))
#endif
#if !defined(SWIFT_WEAK_IMPORT)
# define SWIFT_WEAK_IMPORT __attribute__((weak_import))
#endif
#if !defined(SWIFT_DEPRECATED)
# define SWIFT_DEPRECATED __attribute__((deprecated))
#endif
#if !defined(SWIFT_DEPRECATED_MSG)
# define SWIFT_DEPRECATED_MSG(...) __attribute__((deprecated(__VA_ARGS__)))
#endif
#if __has_feature(attribute_diagnose_if_objc)
# define SWIFT_DEPRECATED_OBJC(Msg) __attribute__((diagnose_if(1, Msg, "warning")))
#else
# define SWIFT_DEPRECATED_OBJC(Msg) SWIFT_DEPRECATED_MSG(Msg)
#endif
#if !defined(IBSegueAction)
# define IBSegueAction
#endif
#if __has_feature(modules)
#if __has_warning("-Watimport-in-framework-header")
#pragma clang diagnostic ignored "-Watimport-in-framework-header"
#endif
@import CoreGraphics;
@import Foundation;
@import ObjectiveC;
@import UIKit;
#endif

#import <NetPaySDK/NetPaySDK.h>

#pragma clang diagnostic ignored "-Wproperty-attribute-mismatch"
#pragma clang diagnostic ignored "-Wduplicate-method-arg"
#if __has_warning("-Wpragma-clang-attribute")
# pragma clang diagnostic ignored "-Wpragma-clang-attribute"
#endif
#pragma clang diagnostic ignored "-Wunknown-pragmas"
#pragma clang diagnostic ignored "-Wnullability"

#if __has_attribute(external_source_symbol)
# pragma push_macro("any")
# undef any
# pragma clang attribute push(__attribute__((external_source_symbol(language="Swift", defined_in="NetPaySDK",generated_declaration))), apply_to=any(function,enum,objc_interface,objc_category,objc_protocol))
# pragma pop_macro("any")
#endif


typedef SWIFT_ENUM_NAMED(NSInteger, NPCardBrand, "CardBrand", open) {
  NPCardBrandVisa = 0,
  NPCardBrandMasterCard = 1,
  NPCardBrandJcb = 2,
  NPCardBrandAmex = 3,
  NPCardBrandDiners = 4,
  NPCardBrandLaser = 5,
  NPCardBrandMaestro = 6,
  NPCardBrandDiscover = 7,
};

@class NSNumber;
@class UIColor;
@class NSString;
@class NSCoder;
@class UITraitCollection;

IB_DESIGNABLE
SWIFT_CLASS_NAMED("NetPayTextField")
@interface NPNetPayTextField : UITextField
@property (nonatomic) IBInspectable CGFloat borderWidth;
@property (nonatomic, strong) IBInspectable UIColor * _Nullable borderColor;
@property (nonatomic) IBInspectable CGFloat cornerRadius;
@property (nonatomic, strong) IBInspectable UIColor * _Nullable errorTextColor;
@property (nonatomic, strong) IBInspectable UIColor * _Nullable placeholderTextColor;
@property (nonatomic, copy) NSString * _Nullable placeholder;
@property (nonatomic, copy) NSString * _Nullable text;
@property (nonatomic, strong) UIColor * _Nullable textColor;
- (nonnull instancetype)initWithFrame:(CGRect)frame OBJC_DESIGNATED_INITIALIZER;
- (nullable instancetype)initWithCoder:(NSCoder * _Nonnull)aDecoder OBJC_DESIGNATED_INITIALIZER;
- (nonnull instancetype)init OBJC_DESIGNATED_INITIALIZER;
- (BOOL)validateAndReturnError:(NSError * _Nullable * _Nullable)error;
- (void)didBeginEditing;
- (void)didEndEditing;
- (void)textDidChange;
- (void)traitCollectionDidChange:(UITraitCollection * _Nullable)previousTraitCollection;
@end

@protocol UITextFieldDelegate;

IB_DESIGNABLE
SWIFT_CLASS_NAMED("CardCVVTextField")
@interface NPCardCVVTextField : NPNetPayTextField
@property (nonatomic, strong) id <UITextFieldDelegate> _Nullable delegate SWIFT_AVAILABILITY(ios,unavailable);
@property (nonatomic) UIKeyboardType keyboardType;
- (nonnull instancetype)initWithFrame:(CGRect)frame OBJC_DESIGNATED_INITIALIZER;
- (nullable instancetype)initWithCoder:(NSCoder * _Nonnull)aDecoder OBJC_DESIGNATED_INITIALIZER;
- (nonnull instancetype)init OBJC_DESIGNATED_INITIALIZER;
- (BOOL)validateAndReturnError:(NSError * _Nullable * _Nullable)error;
@end


@interface NPCardCVVTextField (SWIFT_EXTENSION(NetPaySDK)) <UITextFieldDelegate>
- (BOOL)textField:(UITextField * _Nonnull)textField shouldChangeCharactersInRange:(NSRange)range replacementString:(NSString * _Nonnull)string SWIFT_WARN_UNUSED_RESULT;
@end


SWIFT_CLASS_NAMED("CardExpiryDatePicker")
@interface NPCardExpiryDatePicker : UIPickerView
- (nonnull instancetype)initWithFrame:(CGRect)frame OBJC_DESIGNATED_INITIALIZER;
- (nullable instancetype)initWithCoder:(NSCoder * _Nonnull)aDecoder OBJC_DESIGNATED_INITIALIZER;
@end


@interface NPCardExpiryDatePicker (SWIFT_EXTENSION(NetPaySDK)) <UIPickerViewDelegate>
- (NSString * _Nullable)pickerView:(UIPickerView * _Nonnull)pickerView titleForRow:(NSInteger)row forComponent:(NSInteger)component SWIFT_WARN_UNUSED_RESULT;
- (void)pickerView:(UIPickerView * _Nonnull)pickerView didSelectRow:(NSInteger)row inComponent:(NSInteger)component;
@end


@interface NPCardExpiryDatePicker (SWIFT_EXTENSION(NetPaySDK)) <UIPickerViewDataSource>
- (NSInteger)numberOfComponentsInPickerView:(UIPickerView * _Nonnull)pickerView SWIFT_WARN_UNUSED_RESULT;
- (NSInteger)pickerView:(UIPickerView * _Nonnull)pickerView numberOfRowsInComponent:(NSInteger)component SWIFT_WARN_UNUSED_RESULT;
@end

@class InfoAccessibilityElement;
@class UITextRange;

IB_DESIGNABLE
SWIFT_CLASS_NAMED("CardExpiryDateTextField")
@interface NPCardExpiryDateTextField : NPNetPayTextField
@property (nonatomic, readonly) NSInteger selectedMonth;
@property (nonatomic, readonly) NSInteger selectedYear;
@property (nonatomic, readonly, strong) InfoAccessibilityElement * _Null_unspecified expirationMonthAccessibilityElement;
@property (nonatomic, readonly, strong) InfoAccessibilityElement * _Null_unspecified expirationYearAccessibilityElement;
@property (nonatomic) UIKeyboardType keyboardType;
@property (nonatomic, strong) id <UITextFieldDelegate> _Nullable delegate SWIFT_AVAILABILITY(ios,unavailable);
- (nonnull instancetype)init OBJC_DESIGNATED_INITIALIZER;
- (nonnull instancetype)initWithFrame:(CGRect)frame OBJC_DESIGNATED_INITIALIZER;
- (nullable instancetype)initWithCoder:(NSCoder * _Nonnull)aDecoder OBJC_DESIGNATED_INITIALIZER;
@property (nonatomic, copy) NSArray * _Nullable accessibilityElements;
- (BOOL)validateAndReturnError:(NSError * _Nullable * _Nullable)error;
- (void)textDidChange;
- (void)deleteBackward;
- (void)replaceRange:(UITextRange * _Nonnull)range withText:(NSString * _Nonnull)text;
- (void)paste:(id _Nullable)sender;
- (void)layoutSubviews;
@end


@interface NPCardExpiryDateTextField (SWIFT_EXTENSION(NetPaySDK)) <UITextFieldDelegate>
- (BOOL)textField:(UITextField * _Nonnull)textField shouldChangeCharactersInRange:(NSRange)range replacementString:(NSString * _Nonnull)string SWIFT_WARN_UNUSED_RESULT;
@end


@interface NPCardExpiryDateTextField (SWIFT_EXTENSION(NetPaySDK))
@end


IB_DESIGNABLE
SWIFT_CLASS_NAMED("CardNameTextField")
@interface NPCardNameTextField : NPNetPayTextField
- (nonnull instancetype)initWithFrame:(CGRect)frame OBJC_DESIGNATED_INITIALIZER;
- (nullable instancetype)initWithCoder:(NSCoder * _Nonnull)aDecoder OBJC_DESIGNATED_INITIALIZER;
- (nonnull instancetype)init OBJC_DESIGNATED_INITIALIZER;
@end


SWIFT_CLASS_NAMED("CardNumber")
@interface NPCardNumber : NSObject
+ (NSString * _Nonnull)normalize:(NSString * _Nonnull)pan SWIFT_WARN_UNUSED_RESULT;
+ (NSInteger)brandForPan:(NSString * _Nonnull)pan SWIFT_WARN_UNUSED_RESULT;
+ (NSString * _Nonnull)format:(NSString * _Nonnull)pan SWIFT_WARN_UNUSED_RESULT;
+ (BOOL)luhn:(NSString * _Nonnull)pan SWIFT_WARN_UNUSED_RESULT;
+ (BOOL)validate:(NSString * _Nonnull)pan SWIFT_WARN_UNUSED_RESULT;
- (nonnull instancetype)init OBJC_DESIGNATED_INITIALIZER;
@end

@protocol UITextInputTokenizer;

IB_DESIGNABLE
SWIFT_CLASS_NAMED("CardNumberTextField")
@interface NPCardNumberTextField : NPNetPayTextField
@property (nonatomic, readonly, strong) id <UITextInputTokenizer> _Nonnull tokenizer;
@property (nonatomic, strong) UITextRange * _Nullable selectedTextRange;
@property (nonatomic, strong) id <UITextFieldDelegate> _Nullable delegate SWIFT_AVAILABILITY(ios,unavailable);
- (nonnull instancetype)initWithFrame:(CGRect)frame OBJC_DESIGNATED_INITIALIZER;
- (nullable instancetype)initWithCoder:(NSCoder * _Nonnull)aDecoder OBJC_DESIGNATED_INITIALIZER;
- (nonnull instancetype)init OBJC_DESIGNATED_INITIALIZER;
- (BOOL)validateAndReturnError:(NSError * _Nullable * _Nullable)error;
- (BOOL)becomeFirstResponder SWIFT_WARN_UNUSED_RESULT;
- (BOOL)resignFirstResponder SWIFT_WARN_UNUSED_RESULT;
- (void)paste:(id _Nullable)sender;
- (void)textDidChange;
@end


@interface NPCardNumberTextField (SWIFT_EXTENSION(NetPaySDK)) <UITextFieldDelegate>
- (BOOL)textField:(UITextField * _Nonnull)textField shouldChangeCharactersInRange:(NSRange)range replacementString:(NSString * _Nonnull)string SWIFT_WARN_UNUSED_RESULT;
@end

@class NSOperationQueue;

SWIFT_CLASS_NAMED("Client")
@interface NPSDKClient : NSObject
- (nonnull instancetype)initWithPublicKey:(NSString * _Nonnull)publicKey testMode:(BOOL)testMode queue:(NSOperationQueue * _Nonnull)queue OBJC_DESIGNATED_INITIALIZER;
- (nonnull instancetype)initWithPublicKey:(NSString * _Nonnull)publicKey testMode:(BOOL)testMode;
- (nonnull instancetype)init SWIFT_UNAVAILABLE;
+ (nonnull instancetype)new SWIFT_UNAVAILABLE_MSG("-init is unavailable");
@end

@class NSURLSession;
@class NPTokenRequest;
@class NPToken;
@class NSError;
@protocol NPTokenRequestDelegate;
@class NPSourceRequest;
@class NPSource;
@protocol NPSourceRequestDelegate;
@class NPCapability;

@interface NPSDKClient (SWIFT_EXTENSION(NetPaySDK))
- (nonnull instancetype)initWithPublicKey:(NSString * _Nonnull)publicKey queue:(NSOperationQueue * _Nonnull)queue session:(NSURLSession * _Nonnull)session testMode:(BOOL)testMode SWIFT_DEPRECATED_MSG("", "init(publicKey:queue:)");
- (void)sendTokenRequest:(NPTokenRequest * _Nonnull)request callback:(void (^ _Nullable)(NPToken * _Nullable, NSError * _Nullable))callback;
- (void)sendTokenRequest:(NPTokenRequest * _Nonnull)request delegate:(id <NPTokenRequestDelegate> _Nullable)delegate;
- (void)sendRequest:(NPTokenRequest * _Nonnull)request callback:(void (^ _Nullable)(NPToken * _Nullable, NSError * _Nullable))callback SWIFT_DEPRECATED_MSG("Please use the new -[NPClient sendTokenRequest:callback:] method", "sendTokenRequest(_:completionHandler:)");
- (void)sendRequest:(NPTokenRequest * _Nonnull)request delegate:(id <NPTokenRequestDelegate> _Nullable)delegate SWIFT_DEPRECATED_MSG("Please use the new -[NPClient sendTokenRequest:callback:] method", "sendTokenRequest(_:completionHandler:)");
- (void)sendSourceRequest:(NPSourceRequest * _Nonnull)request callback:(void (^ _Nullable)(NPSource * _Nullable, NSError * _Nullable))callback;
- (void)sendSourceRequest:(NPSourceRequest * _Nonnull)request delegate:(id <NPSourceRequestDelegate> _Nullable)delegate;
- (void)capabilityDataWithCompletionHandler:(void (^ _Nullable)(NPCapability * _Nullable, NSError * _Nullable))completionHandler;
@end



@protocol NPCreditCardFormViewControllerDelegate;
@class UILabel;
@class UIScrollView;
@class NPMainActionButton;
@class UIToolbar;
@class UIBarButtonItem;
@class UIView;
@class NSLayoutConstraint;
@class UIImageView;
@class UIButton;
@class UIActivityIndicatorView;
@class NSNotification;
@class NSBundle;

SWIFT_CLASS_NAMED("CreditCardFormViewController")
@interface NPCreditCardFormViewController : UIViewController
@property (nonatomic, copy) NSString * _Nullable publicKey;
@property (nonatomic) BOOL testMode;
@property (nonatomic, weak) id <NPCreditCardFormViewControllerDelegate> _Nullable delegate;
@property (nonatomic) BOOL handleErrors;
@property (nonatomic, strong) IBInspectable UIColor * _Nullable preferredPrimaryColor;
@property (nonatomic, strong) IBInspectable UIColor * _Nullable preferredSecondaryColor;
@property (nonatomic, strong) IBInspectable UIColor * _Null_unspecified errorMessageTextColor;
@property (nonatomic, copy) IBOutletCollection(NPNetPayTextField) NSArray<NPNetPayTextField *> * _Null_unspecified formFields;
@property (nonatomic, copy) IBOutletCollection(UILabel) NSArray<UILabel *> * _Null_unspecified formLabels;
@property (nonatomic, copy) IBOutletCollection(UILabel) NSArray<UILabel *> * _Null_unspecified errorLabels;
@property (nonatomic, strong) IBOutlet UIScrollView * _Null_unspecified contentView;
@property (nonatomic, strong) IBOutlet NPCardNumberTextField * _Null_unspecified cardNumberTextField;
@property (nonatomic, strong) IBOutlet NPCardNameTextField * _Null_unspecified cardNameTextField;
@property (nonatomic, strong) IBOutlet NPCardExpiryDateTextField * _Null_unspecified expiryDateTextField;
@property (nonatomic, strong) IBOutlet NPCardCVVTextField * _Null_unspecified secureCodeTextField;
@property (nonatomic, strong) IBOutlet NPMainActionButton * _Null_unspecified confirmButton;
@property (nonatomic, strong) IBOutlet UIToolbar * _Null_unspecified formFieldsAccessoryView;
@property (nonatomic, strong) IBOutlet UIBarButtonItem * _Null_unspecified gotoPreviousFieldBarButtonItem;
@property (nonatomic, strong) IBOutlet UIBarButtonItem * _Null_unspecified gotoNextFieldBarButtonItem;
@property (nonatomic, strong) IBOutlet UIBarButtonItem * _Null_unspecified doneEditingBarButtonItem;
@property (nonatomic, strong) IBOutlet UILabel * _Null_unspecified creditCardNumberErrorLabel;
@property (nonatomic, strong) IBOutlet UILabel * _Null_unspecified cardHolderNameErrorLabel;
@property (nonatomic, strong) IBOutlet UILabel * _Null_unspecified cardExpiryDateErrorLabel;
@property (nonatomic, strong) IBOutlet UILabel * _Null_unspecified cardSecurityCodeErrorLabel;
@property (nonatomic, strong) IBOutlet UIView * _Null_unspecified errorBannerView;
@property (nonatomic, strong) IBOutlet UILabel * _Null_unspecified errorTitleLabel;
@property (nonatomic, strong) IBOutlet UILabel * _Null_unspecified errorMessageLabel;
@property (nonatomic, strong) IBOutlet NSLayoutConstraint * _Null_unspecified hidingErrorBannerConstraint;
@property (nonatomic, strong) IBOutlet NSLayoutConstraint * _Null_unspecified emptyErrorMessageConstraint;
@property (nonatomic, strong) IBOutlet UIImageView * _Null_unspecified cardBrandIconImageView;
@property (nonatomic, strong) IBOutlet UIButton * _Null_unspecified cvvInfoButton;
@property (nonatomic, strong) IBOutlet UIActivityIndicatorView * _Null_unspecified requestingIndicatorView;
SWIFT_CLASS_PROPERTY(@property (nonatomic, class, readonly, strong) UIColor * _Nonnull defaultErrorMessageTextColor;)
+ (UIColor * _Nonnull)defaultErrorMessageTextColor SWIFT_WARN_UNUSED_RESULT;
@property (nonatomic) BOOL cardIOEnabled SWIFT_UNAVAILABLE_MSG("Built in support for Card.ios was removed. You can implement it in your app and call the setCreditCardInformation(number:name:expiration:) method");
+ (NPCreditCardFormViewController * _Nonnull)creditCardFormViewControllerWithPublicKey:(NSString * _Nonnull)publicKey testMode:(BOOL)testMode SWIFT_WARN_UNUSED_RESULT;
+ (NPCreditCardFormViewController * _Nonnull)makeCreditCardFormWithPublicKey:(NSString * _Nonnull)publicKey testMode:(BOOL)testMode SWIFT_WARN_UNUSED_RESULT SWIFT_DEPRECATED_MSG("Please use the new method that confrom to Objective-C convention +[NPCreditCardFormViewController creditCardFormViewControllerWithPublicKey:] as of this method will be removed in the future release.", "makeCreditCardFormViewController(withPublicKey:)");
- (void)setCreditCardInformationWithNumber:(NSString * _Nonnull)number name:(NSString * _Nonnull)name expMonth:(NSInteger)expMonth expirationYear:(NSInteger)expirationYear;
- (void)loadView;
- (void)viewDidLoad;
- (void)viewWillLayoutSubviews;
- (void)viewDidAppear:(BOOL)animated;
- (void)viewDidDisappear:(BOOL)animated;
- (void)traitCollectionDidChange:(UITraitCollection * _Nullable)previousTraitCollection;
- (IBAction)displayMoreCVVInfo:(UIButton * _Nonnull)sender;
- (IBAction)cancelForm;
- (void)keyboardWillChangeFrame:(NSNotification * _Nonnull)notification;
- (void)keyboardWillHide:(NSNotification * _Nonnull)notification;
- (IBAction)dismissErrorBanner:(id _Nonnull)sender;
- (nonnull instancetype)initWithNibName:(NSString * _Nullable)nibNameOrNil bundle:(NSBundle * _Nullable)nibBundleOrNil OBJC_DESIGNATED_INITIALIZER;
- (nullable instancetype)initWithCoder:(NSCoder * _Nonnull)coder OBJC_DESIGNATED_INITIALIZER;
@end



@interface NPCreditCardFormViewController (SWIFT_EXTENSION(NetPaySDK))
- (IBAction)updateAccessibilityValue:(NPNetPayTextField * _Nonnull)sender;
- (BOOL)accessibilityPerformMagicTap SWIFT_WARN_UNUSED_RESULT;
- (BOOL)accessibilityPerformEscape SWIFT_WARN_UNUSED_RESULT;
@end


@interface NPCreditCardFormViewController (SWIFT_EXTENSION(NetPaySDK))
- (IBAction)validateTextFieldDataOf:(NPNetPayTextField * _Nonnull)sender;
- (IBAction)updateInputAccessoryViewFor:(NPNetPayTextField * _Nonnull)sender;
@end

@class UIEvent;

SWIFT_CLASS("_TtC9NetPaySDK21ExpandedHitAreaButton")
@interface ExpandedHitAreaButton : UIButton
- (BOOL)pointInside:(CGPoint)point withEvent:(UIEvent * _Nullable)event SWIFT_WARN_UNUSED_RESULT;
- (nonnull instancetype)initWithFrame:(CGRect)frame OBJC_DESIGNATED_INITIALIZER;
- (nullable instancetype)initWithCoder:(NSCoder * _Nonnull)coder OBJC_DESIGNATED_INITIALIZER;
@end


IB_DESIGNABLE
SWIFT_CLASS_NAMED("MainActionButton")
@interface NPMainActionButton : UIButton
@property (nonatomic) IBInspectable CGFloat cornerRadius;
@property (nonatomic, strong) IBInspectable UIColor * _Nullable defaultBackgroundColor;
@property (nonatomic, strong) IBInspectable UIColor * _Nullable highlightedBackgroundColor;
@property (nonatomic, strong) IBInspectable UIColor * _Nullable selectedBackgroundColor;
@property (nonatomic, strong) IBInspectable UIColor * _Nullable disabledBackgroundColor;
@property (nonatomic, getter=isEnabled) BOOL enabled;
@property (nonatomic, getter=isSelected) BOOL selected;
@property (nonatomic, getter=isHighlighted) BOOL highlighted;
@property (nonatomic, strong) UIColor * _Nullable backgroundColor;
- (nonnull instancetype)initWithFrame:(CGRect)frame OBJC_DESIGNATED_INITIALIZER;
- (nullable instancetype)initWithCoder:(NSCoder * _Nonnull)aDecoder OBJC_DESIGNATED_INITIALIZER;
- (void)prepareForInterfaceBuilder;
@end


SWIFT_CLASS("_TtC9NetPaySDK34MoreInformationOnCVVViewController")
@interface MoreInformationOnCVVViewController : UIViewController
@property (nonatomic, strong) IBOutlet UIImageView * _Null_unspecified cvvLocationImageView;
@property (nonatomic, strong) IBOutlet UILabel * _Null_unspecified cvvLocationDescriptionLabel;
@property (nonatomic, strong) IBOutlet ExpandedHitAreaButton * _Null_unspecified closeButton;
- (void)loadView;
- (void)viewDidLoad;
- (IBAction)askToClose:(id _Nonnull)sender;
- (nonnull instancetype)initWithNibName:(NSString * _Nullable)nibNameOrNil bundle:(NSBundle * _Nullable)nibBundleOrNil OBJC_DESIGNATED_INITIALIZER;
- (nullable instancetype)initWithCoder:(NSCoder * _Nonnull)coder OBJC_DESIGNATED_INITIALIZER;
@end


SWIFT_PROTOCOL("_TtP9NetPaySDK38NPCreditCardFormViewControllerDelegate_")
@protocol NPCreditCardFormViewControllerDelegate
- (void)creditCardFormViewController:(NPCreditCardFormViewController * _Nonnull)controller didSucceedWithToken:(NPToken * _Nonnull)token;
- (void)creditCardFormViewController:(NPCreditCardFormViewController * _Nonnull)controller didFailWithError:(NSError * _Nonnull)error;
@optional
- (void)creditCardFormViewControllerDidCancel:(NPCreditCardFormViewController * _Nonnull)controller;
@required
- (void)creditCardForm:(NPCreditCardFormViewController * _Nonnull)controller didSucceedWithToken:(NPToken * _Nonnull)token SWIFT_UNAVAILABLE_MSG("'creditCardForm' has been renamed to 'creditCardFormViewController:didSucceedWithToken:': Implement the new -[NPCreditCardFormViewControllerDelegate creditCardFormViewController:didSucceedWithToken:] instead");
- (void)creditCardForm:(NPCreditCardFormViewController * _Nonnull)controller didFailWithError:(NSError * _Nonnull)error SWIFT_UNAVAILABLE_MSG("'creditCardForm' has been renamed to 'creditCardFormViewController:didFailWithError:': Implement the new -[NPCreditCardFormViewControllerDelegate creditCardFormViewController:didFailWithError:] instead");
@end


SWIFT_PROTOCOL("_TtP9NetPaySDK24NPCreditCardFormDelegate_") SWIFT_DEPRECATED_MSG("This delegate name is deprecated. Please use the new name of `NPCreditCardFormViewControllerDelegate`", "_TtP9NetPaySDK38NPCreditCardFormViewControllerDelegate_")
@protocol NPCreditCardFormDelegate <NPCreditCardFormViewControllerDelegate>
@end


@class NPPaymentCreatorController;

SWIFT_PROTOCOL("_TtP9NetPaySDK34NPPaymentCreatorControllerDelegate_")
@protocol NPPaymentCreatorControllerDelegate <NSObject>
- (void)paymentCreatorController:(NPPaymentCreatorController * _Nonnull)paymentCreatorController didCreateToken:(NPToken * _Nonnull)token;
- (void)paymentCreatorController:(NPPaymentCreatorController * _Nonnull)paymentCreatorController didCreateSource:(NPSource * _Nonnull)source;
- (void)paymentCreatorController:(NPPaymentCreatorController * _Nonnull)paymentCreatorController didFailWithError:(NSError * _Nonnull)error;
@optional
- (void)paymentCreatorControllerDidCancel:(NPPaymentCreatorController * _Nonnull)paymentCreatorController;
@end


SWIFT_PROTOCOL("_TtP9NetPaySDK23NPSourceRequestDelegate_")
@protocol NPSourceRequestDelegate
- (void)sourceRequest:(NPSourceRequest * _Nonnull)request didSucceedWithSource:(NPSource * _Nonnull)source;
- (void)sourceRequest:(NPSourceRequest * _Nonnull)request didFailWithError:(NSError * _Nonnull)error;
@end


SWIFT_PROTOCOL("_TtP9NetPaySDK22NPTokenRequestDelegate_")
@protocol NPTokenRequestDelegate
- (void)tokenRequest:(NPTokenRequest * _Nonnull)request didSucceedWithToken:(NPToken * _Nonnull)token;
- (void)tokenRequest:(NPTokenRequest * _Nonnull)request didFailWithError:(NSError * _Nonnull)error;
@end


@interface NSCalendar (SWIFT_EXTENSION(NetPaySDK))
SWIFT_CLASS_PROPERTY(@property (nonatomic, class, readonly, copy) NSCalendar * _Nonnull creditCardInformationCalendar;)
+ (NSCalendar * _Nonnull)creditCardInformationCalendar SWIFT_WARN_UNUSED_RESULT;
@end



SWIFT_CLASS("_TtC9NetPaySDK15NetPaySDKClient") SWIFT_DEPRECATED_MSG("Utiliza `Client`. ", "NPSDKClient")
@interface NetPaySDKClient : NSObject
@property (nonatomic, readonly, copy) NSString * _Nonnull publicKey;
@property (nonatomic, readonly) BOOL testMode;
@property (nonatomic, readonly, copy) NSString * _Nonnull userAgent;
- (nonnull instancetype)init SWIFT_UNAVAILABLE;
+ (nonnull instancetype)new SWIFT_UNAVAILABLE_MSG("-init is unavailable");
@end



@interface NPNetPayTextField (SWIFT_EXTENSION(NetPaySDK))
- (CGRect)borderRectForBounds:(CGRect)bounds SWIFT_WARN_UNUSED_RESULT;
- (CGRect)textRectForBounds:(CGRect)bounds SWIFT_WARN_UNUSED_RESULT;
- (CGRect)editingRectForBounds:(CGRect)bounds SWIFT_WARN_UNUSED_RESULT;
- (CGRect)clearButtonRectForBounds:(CGRect)bounds SWIFT_WARN_UNUSED_RESULT;
- (CGRect)rightViewRectForBounds:(CGRect)bounds SWIFT_WARN_UNUSED_RESULT;
- (CGRect)leftViewRectForBounds:(CGRect)bounds SWIFT_WARN_UNUSED_RESULT;
@end


SWIFT_CLASS("_TtC9NetPaySDK18NetPayTokenRequest") SWIFT_DEPRECATED_MSG("Use the new `Request<Token>` type. This class will be removed in the future released", "")
@interface NetPayTokenRequest : NSObject
@property (nonatomic, readonly, copy) NSString * _Nonnull cardHolderName;
@property (nonatomic, readonly, copy) NSString * _Nonnull deviceFingerPrint;
@property (nonatomic, readonly, copy) NSString * _Nonnull cardNumber;
@property (nonatomic, readonly, copy) NSString * _Nonnull expMonth;
@property (nonatomic, readonly, copy) NSString * _Nonnull expYear;
@property (nonatomic, readonly, copy) NSString * _Nonnull cvv2;
- (nonnull instancetype)initWithCardHolderName:(NSString * _Nonnull)cardHolderName cardNumber:(NSString * _Nonnull)cardNumber expMonth:(NSString * _Nonnull)expMonth expYear:(NSString * _Nonnull)expYear cvv2:(NSString * _Nonnull)cvv2 deviceFingerPrint:(NSString * _Nonnull)deviceFingerPrint OBJC_DESIGNATED_INITIALIZER;
- (nonnull instancetype)init SWIFT_UNAVAILABLE;
+ (nonnull instancetype)new SWIFT_UNAVAILABLE_MSG("-init is unavailable");
@end


SWIFT_CLASS("_TtC9NetPaySDK10NoticeView")
@interface NoticeView : UIView
@property (nonatomic, strong) IBOutlet UIImageView * _Null_unspecified iconImageView;
@property (nonatomic, strong) IBOutlet UILabel * _Null_unspecified titleLabel;
@property (nonatomic, strong) IBOutlet UILabel * _Null_unspecified detailLabel;
- (nonnull instancetype)initWithFrame:(CGRect)frame OBJC_DESIGNATED_INITIALIZER;
- (nullable instancetype)initWithCoder:(NSCoder * _Nonnull)coder OBJC_DESIGNATED_INITIALIZER;
@end


@protocol UIContentContainer;

SWIFT_CLASS("_TtC9NetPaySDK34OverlayPanelPresentationController")
@interface OverlayPanelPresentationController : UIPresentationController
@property (nonatomic, readonly) CGRect frameOfPresentedViewInContainerView;
- (nonnull instancetype)initWithPresentedViewController:(UIViewController * _Nonnull)presentedViewController presentingViewController:(UIViewController * _Nullable)presentingViewController OBJC_DESIGNATED_INITIALIZER;
- (void)presentationTransitionWillBegin;
- (void)dismissalTransitionWillBegin;
- (void)containerViewWillLayoutSubviews;
- (CGSize)sizeForChildContentContainer:(id <UIContentContainer> _Nonnull)container withParentContainerSize:(CGSize)parentSize SWIFT_WARN_UNUSED_RESULT;
- (void)preferredContentSizeDidChangeForChildContentContainer:(id <UIContentContainer> _Nonnull)container;
- (void)traitCollectionDidChange:(UITraitCollection * _Nullable)previousTraitCollection;
- (void)requestToDismiss:(id _Nonnull)sender;
@end


@interface OverlayPanelPresentationController (SWIFT_EXTENSION(NetPaySDK)) <UIAdaptivePresentationControllerDelegate>
- (UIModalPresentationStyle)adaptivePresentationStyleForPresentationController:(UIPresentationController * _Nonnull)controller traitCollection:(UITraitCollection * _Nonnull)traitCollection SWIFT_WARN_UNUSED_RESULT;
@end

@protocol UIViewControllerContextTransitioning;

@interface OverlayPanelPresentationController (SWIFT_EXTENSION(NetPaySDK)) <UIViewControllerAnimatedTransitioning>
- (NSTimeInterval)transitionDuration:(id <UIViewControllerContextTransitioning> _Nullable)transitionContext SWIFT_WARN_UNUSED_RESULT;
- (void)animateTransition:(id <UIViewControllerContextTransitioning> _Nonnull)transitionContext;
@end


SWIFT_CLASS("_TtC9NetPaySDK33OverlayPanelTransitioningDelegate")
@interface OverlayPanelTransitioningDelegate : NSObject <UIViewControllerTransitioningDelegate>
- (UIPresentationController * _Nullable)presentationControllerForPresentedViewController:(UIViewController * _Nonnull)presented presentingViewController:(UIViewController * _Nullable)presenting sourceViewController:(UIViewController * _Nonnull)source SWIFT_WARN_UNUSED_RESULT;
- (id <UIViewControllerAnimatedTransitioning> _Nullable)animationControllerForPresentedController:(UIViewController * _Nonnull)presented presentingController:(UIViewController * _Nonnull)presenting sourceController:(UIViewController * _Nonnull)source SWIFT_WARN_UNUSED_RESULT;
- (id <UIViewControllerAnimatedTransitioning> _Nullable)animationControllerForDismissedController:(UIViewController * _Nonnull)dismissed SWIFT_WARN_UNUSED_RESULT;
- (nonnull instancetype)init OBJC_DESIGNATED_INITIALIZER;
@end

@protocol UIViewControllerTransitionCoordinator;

SWIFT_CLASS_NAMED("PaymentCreatorController")
@interface NPPaymentCreatorController : UINavigationController
@property (nonatomic, copy) NSString * _Nullable publicKey;
@property (nonatomic) BOOL testMode;
@property (nonatomic) int64_t paymentAmount;
@property (nonatomic, copy) NSString * _Nullable paymentCurrencyCode;
@property (nonatomic) BOOL showsCreditCardPayment;
@property (nonatomic, copy) NSArray<NPSourceTypeValue> * _Nonnull allowedPaymentMethods;
@property (nonatomic) BOOL handleErrors;
@property (nonatomic, weak) id <NPPaymentCreatorControllerDelegate> _Nullable paymentDelegate;
@property (nonatomic, strong) IBInspectable UIColor * _Nullable preferredPrimaryColor;
@property (nonatomic, strong) IBInspectable UIColor * _Nullable preferredSecondaryColor;
+ (NPPaymentCreatorController * _Nonnull)paymentCreatorControllerWithPublicKey:(NSString * _Nonnull)publicKey amount:(int64_t)amount currency:(NSString * _Nonnull)currencyCode allowedPaymentMethods:(NSArray<NPSourceTypeValue> * _Nonnull)allowedPaymentMethods paymentDelegate:(id <NPPaymentCreatorControllerDelegate> _Nonnull)paymentDelegate testMode:(BOOL)testMode SWIFT_WARN_UNUSED_RESULT;
- (nonnull instancetype)init OBJC_DESIGNATED_INITIALIZER;
- (nonnull instancetype)initWithRootViewController:(UIViewController * _Nonnull)rootViewController OBJC_DESIGNATED_INITIALIZER SWIFT_AVAILABILITY(ios,unavailable);
- (nullable instancetype)initWithCoder:(NSCoder * _Nonnull)aDecoder OBJC_DESIGNATED_INITIALIZER;
- (nonnull instancetype)initWithNibName:(NSString * _Nullable)nibNameOrNil bundle:(NSBundle * _Nullable)nibBundleOrNil OBJC_DESIGNATED_INITIALIZER;
- (nonnull instancetype)initWithNavigationBarClass:(Class _Nullable)navigationBarClass toolbarClass:(Class _Nullable)toolbarClass OBJC_DESIGNATED_INITIALIZER;
@property (nonatomic, copy) NSArray<UIViewController *> * _Nonnull viewControllers;
- (void)applyPaymentMethodsFrom:(NPCapability * _Nonnull)capability;
- (void)displayErrorWithTitle:(NSString * _Nonnull)title message:(NSString * _Nullable)message animated:(BOOL)animated sender:(id _Nullable)sender;
- (void)dismissErrorMessageWithAnimated:(BOOL)animated sender:(id _Nullable)sender;
- (void)pushViewController:(UIViewController * _Nonnull)viewController animated:(BOOL)animated;
- (void)addChildViewController:(UIViewController * _Nonnull)childController;
- (void)loadView;
- (void)viewWillTransitionToSize:(CGSize)size withTransitionCoordinator:(id <UIViewControllerTransitionCoordinator> _Nonnull)coordinator;
- (void)dismissErrorMessageBanner:(id _Nonnull)sender;
@end




SWIFT_CLASS("_TtC9NetPaySDK26PaymentOptionTableViewCell")
@interface PaymentOptionTableViewCell : UITableViewCell
@property (nonatomic) IBInspectable CGFloat separatorHeight;
- (nonnull instancetype)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString * _Nullable)reuseIdentifier OBJC_DESIGNATED_INITIALIZER;
- (nullable instancetype)initWithCoder:(NSCoder * _Nonnull)aDecoder OBJC_DESIGNATED_INITIALIZER;
- (void)layoutSubviews;
@end


SWIFT_CLASS("_TtC9NetPaySDK17ProfileController")
@interface ProfileController : NSObject
@property (nonatomic) NSTimeInterval timeout;
- (nonnull instancetype)init OBJC_DESIGNATED_INITIALIZER;
@end



@interface UIViewController (SWIFT_EXTENSION(NetPaySDK))
- (void)displayErrorWithTitle:(NSString * _Nonnull)title message:(NSString * _Nullable)message animated:(BOOL)animated sender:(id _Nullable)sender;
- (void)dismissErrorMessageWithAnimated:(BOOL)animated sender:(id _Nullable)sender;
@end


SWIFT_CLASS_NAMED("__CardCVVTextField") SWIFT_DEPRECATED_MSG("Use the new `NPCardCVVTextField` data type instead. This class will be removed in the future released", "NPCardCVVTextField")
@interface CardCVVTextField : NPCardCVVTextField
- (nonnull instancetype)initWithFrame:(CGRect)frame OBJC_DESIGNATED_INITIALIZER;
- (nullable instancetype)initWithCoder:(NSCoder * _Nonnull)aDecoder OBJC_DESIGNATED_INITIALIZER;
- (nonnull instancetype)init OBJC_DESIGNATED_INITIALIZER;
@end


SWIFT_CLASS_NAMED("__CardExpiryDatePicker") SWIFT_DEPRECATED_MSG("Use the new `NPCardExpiryDatePicker` data type instead. This class will be removed in the future released", "NPCardExpiryDatePicker")
@interface CardExpiryDatePicker : NPCardExpiryDatePicker
- (nonnull instancetype)initWithFrame:(CGRect)frame OBJC_DESIGNATED_INITIALIZER;
- (nullable instancetype)initWithCoder:(NSCoder * _Nonnull)aDecoder OBJC_DESIGNATED_INITIALIZER;
@end


SWIFT_CLASS_NAMED("__CardExpiryDateTextField") SWIFT_DEPRECATED_MSG("Use the new `NPCardExpiryDateTextField` data type instead. This class will be removed in the future released", "NPCardExpiryDateTextField")
@interface CardExpiryDateTextField : NPCardExpiryDateTextField
- (nonnull instancetype)init OBJC_DESIGNATED_INITIALIZER;
- (nonnull instancetype)initWithFrame:(CGRect)frame OBJC_DESIGNATED_INITIALIZER;
- (nullable instancetype)initWithCoder:(NSCoder * _Nonnull)aDecoder OBJC_DESIGNATED_INITIALIZER;
@end


SWIFT_CLASS_NAMED("__CardNameTextField") SWIFT_DEPRECATED_MSG("Use the new `NPCardNameTextField` data type instead. This class will be removed in the future released", "NPCardNameTextField")
@interface CardNameTextField : NPCardNameTextField
- (nonnull instancetype)initWithFrame:(CGRect)frame OBJC_DESIGNATED_INITIALIZER;
- (nullable instancetype)initWithCoder:(NSCoder * _Nonnull)aDecoder OBJC_DESIGNATED_INITIALIZER;
- (nonnull instancetype)init OBJC_DESIGNATED_INITIALIZER;
@end


SWIFT_CLASS_NAMED("__CardNumberTextField") SWIFT_DEPRECATED_MSG("Use the new `NPCardNumberTextField` data type instead. This class will be removed in the future released", "NPCardNumberTextField")
@interface CardNumberTextField : NPCardNumberTextField
- (nonnull instancetype)initWithFrame:(CGRect)frame OBJC_DESIGNATED_INITIALIZER;
- (nullable instancetype)initWithCoder:(NSCoder * _Nonnull)aDecoder OBJC_DESIGNATED_INITIALIZER;
- (nonnull instancetype)init OBJC_DESIGNATED_INITIALIZER;
@end


SWIFT_CLASS_NAMED("__SourcePaymentInformation")
@interface NPPaymentInformation : NSObject
@property (nonatomic, readonly) NPSourceTypeValue _Nonnull type;
- (nullable instancetype)initWithType:(NPSourceTypeValue _Nonnull)type OBJC_DESIGNATED_INITIALIZER;
- (nonnull instancetype)init SWIFT_UNAVAILABLE;
+ (nonnull instancetype)new SWIFT_UNAVAILABLE_MSG("-init is unavailable");
@end


SWIFT_CLASS_NAMED("__CustomSourcePayment")
@interface NPCustomPaymentInformation : NPPaymentInformation
@property (nonatomic, readonly, copy) NSDictionary<NSString *, id> * _Nonnull parameters;
- (nonnull instancetype)initWithCustomType:(NSString * _Nonnull)customType parameters:(NSDictionary<NSString *, id> * _Nonnull)parameters OBJC_DESIGNATED_INITIALIZER;
- (nullable instancetype)initWithType:(NPSourceTypeValue _Nonnull)type SWIFT_UNAVAILABLE;
@end


SWIFT_CLASS_NAMED("__NPCardBrand")
@interface NPCardBrandHelper : NSObject
+ (NSString * _Nonnull)patternForBrand:(enum NPCardBrand)brand SWIFT_WARN_UNUSED_RESULT;
+ (NSRange)validLengthsForBrand:(enum NPCardBrand)brand SWIFT_WARN_UNUSED_RESULT;
- (nonnull instancetype)init OBJC_DESIGNATED_INITIALIZER;
@end


SWIFT_CLASS_NAMED("__NPSourceRequest")
@interface NPSourceRequest : NSObject
@property (nonatomic, readonly, copy) NSString * _Nonnull type;
@property (nonatomic, readonly) int64_t amount;
@property (nonatomic, readonly, copy) NSString * _Nonnull currency;
- (nonnull instancetype)initWithPaymentInformation:(NPPaymentInformation * _Nonnull)paymentInformation amount:(int64_t)amount currencyCode:(NSString * _Nonnull)currencyCode OBJC_DESIGNATED_INITIALIZER;
- (nonnull instancetype)init SWIFT_UNAVAILABLE;
+ (nonnull instancetype)new SWIFT_UNAVAILABLE_MSG("-init is unavailable");
@end


SWIFT_CLASS_NAMED("__NPTokenRequest")
@interface NPTokenRequest : NSObject
@property (nonatomic, readonly, copy) NSString * _Nonnull cardHolderName;
@property (nonatomic, readonly, copy) NSString * _Nonnull cardNumber;
@property (nonatomic, readonly, copy) NSString * _Nonnull expMonth;
@property (nonatomic, readonly, copy) NSString * _Nonnull expYear;
@property (nonatomic, readonly, copy) NSString * _Nonnull cvv2;
- (nonnull instancetype)initWithCardHolderName:(NSString * _Nonnull)cardHolderName cardNumber:(NSString * _Nonnull)cardNumber expMonth:(NSString * _Nonnull)expMonth expYear:(NSString * _Nonnull)expYear cvv2:(NSString * _Nonnull)cvv2 deviceFingerPrint:(NSString * _Nonnull)deviceFingerPrint OBJC_DESIGNATED_INITIALIZER;
- (nonnull instancetype)init SWIFT_UNAVAILABLE;
+ (nonnull instancetype)new SWIFT_UNAVAILABLE_MSG("-init is unavailable");
@end

@class NPCapabilityBackend;

SWIFT_CLASS_NAMED("__NetPayCapability")
@interface NPCapability : NSObject
@property (nonatomic, copy) NSString * _Nonnull location;
@property (nonatomic, copy) NSSet<NSString *> * _Nonnull supportedBanks;
@property (nonatomic, copy) NSArray<NPCapabilityBackend *> * _Nonnull supportedBackends;
- (nonnull instancetype)init SWIFT_UNAVAILABLE;
+ (nonnull instancetype)new SWIFT_UNAVAILABLE_MSG("-init is unavailable");
@end

@class NPCapabilityBackendPayment;

SWIFT_CLASS_NAMED("__NetPayCapabilityBackend")
@interface NPCapabilityBackend : NSObject
@property (nonatomic, strong) NPCapabilityBackendPayment * _Nonnull payment;
@property (nonatomic, copy) NSSet<NSString *> * _Nonnull supportedCurrencyCodes;
- (nonnull instancetype)init SWIFT_UNAVAILABLE;
+ (nonnull instancetype)new SWIFT_UNAVAILABLE_MSG("-init is unavailable");
@end


SWIFT_CLASS_NAMED("__NetPayCapabilityBackendPayment")
@interface NPCapabilityBackendPayment : NSObject
- (nonnull instancetype)init OBJC_DESIGNATED_INITIALIZER;
@end



SWIFT_CLASS_NAMED("__NetPayCapabilityCardBackendPayment")
@interface NPCapabilityCardBackend : NPCapabilityBackendPayment
@property (nonatomic, readonly, copy) NSSet<NSString *> * _Nonnull supportedBrands;
- (nonnull instancetype)init SWIFT_UNAVAILABLE;
+ (nonnull instancetype)new SWIFT_UNAVAILABLE_MSG("-init is unavailable");
@end


SWIFT_CLASS_NAMED("__NetPayCapabilitySourceBackendPayment")
@interface NPCapabilitySourceBackend : NPCapabilityBackendPayment
@property (nonatomic, readonly) NPSourceTypeValue _Nonnull type;
- (nonnull instancetype)init SWIFT_UNAVAILABLE;
+ (nonnull instancetype)new SWIFT_UNAVAILABLE_MSG("-init is unavailable");
@end

@class NSIndexSet;

SWIFT_CLASS_NAMED("__NetPayCapabilityInstallmentBackendPayment")
@interface NPCapabilityInstallmentBackend : NPCapabilitySourceBackend
@property (nonatomic, readonly, copy) NSIndexSet * _Nonnull availableNumberOfTerms;
@end



SWIFT_CLASS_NAMED("__NetPayCapabilityUnknownSourceBackendPayment")
@interface NPCapabilityUnknownSourceBackend : NPCapabilitySourceBackend
@property (nonatomic, readonly, copy) NSDictionary<NSString *, id> * _Nonnull parameters;
@end


SWIFT_CLASS_NAMED("__NetPayCard")
@interface NPCard : NSObject
@property (nonatomic, readonly, copy) NSString * _Nullable lastFourDigits;
@property (nonatomic, readonly, copy) NSString * _Nullable brand;
@property (nonatomic, readonly, copy) NSString * _Nullable bank;
@property (nonatomic, readonly, copy) NSString * _Nullable type;
@property (nonatomic, readonly, copy) NSString * _Nullable country;
@property (nonatomic, readonly, copy) NSString * _Nullable expMonth;
@property (nonatomic, readonly, copy) NSString * _Nullable expYear;
@property (nonatomic, readonly, copy) NSString * _Nullable scheme;
- (nonnull instancetype)init SWIFT_UNAVAILABLE;
+ (nonnull instancetype)new SWIFT_UNAVAILABLE_MSG("-init is unavailable");
@end


SWIFT_CLASS_NAMED("__NetPaySource")
@interface NPSource : NSObject
@property (nonatomic, copy) NSString * _Nonnull object;
@property (nonatomic, copy) NSString * _Nonnull sourcdID;
@property (nonatomic, copy) NSString * _Nonnull type;
@property (nonatomic, strong) NPPaymentInformation * _Nonnull paymentInformation;
@property (nonatomic, copy) NSString * _Nonnull flow;
@property (nonatomic) int64_t amount;
@property (nonatomic, copy) NSString * _Nonnull currencyCode;
- (nonnull instancetype)init SWIFT_UNAVAILABLE;
+ (nonnull instancetype)new SWIFT_UNAVAILABLE_MSG("-init is unavailable");
@end


SWIFT_CLASS_NAMED("__NetPayTextField") SWIFT_DEPRECATED_MSG("Use the new `NPNetPayTextField` data type instead. This class will be removed in the future released", "NPNetPayTextField")
@interface NetPayTextField : NPNetPayTextField
- (nonnull instancetype)initWithFrame:(CGRect)frame OBJC_DESIGNATED_INITIALIZER;
- (nullable instancetype)initWithCoder:(NSCoder * _Nonnull)aDecoder OBJC_DESIGNATED_INITIALIZER;
- (nonnull instancetype)init OBJC_DESIGNATED_INITIALIZER;
@end


SWIFT_CLASS_NAMED("__NetPayToken")
@interface NPToken : NSObject
@property (nonatomic, copy) NSString * _Nullable lastFourDigits SWIFT_DEPRECATED_MSG("Utiliza `__NetPayToken.tokenID`");
@property (nonatomic, copy) NSString * _Nullable brand;
@property (nonatomic, copy) NSString * _Nullable bank;
@property (nonatomic, copy) NSString * _Nullable type;
@property (nonatomic, copy) NSString * _Nullable country;
@property (nonatomic, copy) NSString * _Nullable scheme;
- (nonnull instancetype)init SWIFT_UNAVAILABLE;
+ (nonnull instancetype)new SWIFT_UNAVAILABLE_MSG("-init is unavailable");
@end


SWIFT_CLASS_NAMED("__SourceBarcodePayment")
@interface NPBarcodePaymentInformation : NPPaymentInformation
- (nullable instancetype)initWithType:(NPSourceTypeValue _Nonnull)type OBJC_DESIGNATED_INITIALIZER;
@end


SWIFT_CLASS_NAMED("__SourceCustomBarcodePayment")
@interface NPCustomBarcodePaymentInformation : NPBarcodePaymentInformation
@property (nonatomic, readonly, copy) NSDictionary<NSString *, id> * _Nonnull parameters;
- (nonnull instancetype)initWithCustomType:(NSString * _Nonnull)customType parameters:(NSDictionary<NSString *, id> * _Nonnull)parameters OBJC_DESIGNATED_INITIALIZER;
- (nullable instancetype)initWithType:(NPSourceTypeValue _Nonnull)type SWIFT_UNAVAILABLE;
@end



#if __has_attribute(external_source_symbol)
# pragma clang attribute pop
#endif
#pragma clang diagnostic pop
#endif

#endif
